<?php
/*
Plugin Name: Styler Clean Functions
Plugin URI: http://styler.jp/blog/2013/03/19/stylercleanfunctions/
Descriptions: WordPressを使用する際に、よく使われるFunctionsを一括設定する
Author: Styler
Version: 0.4
Author URI: http://styler.jp
*/

/*  Copyright 2013 Styler (email : ryo@styler.jp)

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as
	published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

// プラグインディレクトリとプラグイン名の設定
define('SCF_PLUGIN_URL', plugins_url()."/styler_clean_functions/");
define('SCF_NAME', 'Clean Functions');

class Styler_Clean_Functions{
	// メンバ変数の設定
	public $level;
	public $flg = false;
	public $param = array(
		// head内
		'1'   => 'scf_level', 
		'2'   => 'scf_allsettings', 
		'20'  => 'scf_del_generator', 
		'21'  => 'scf_del_wlwmanifest_link', 
		'22'  => 'scf_del_rsd_link', 
		'23'  => 'scf_del_feed_links_extra', 
		'24'  => 'scf_del_feed_links', 
		'25'  => 'scf_del_index_rel_link', 
		'26'  => 'scf_del_parent_post_rel_link', 
		'27'  => 'scf_del_start_post_rel_link', 
		'28'  => 'scf_del_adjacent_posts_rel_link_wp_head', 
		'29'  => 'scf_del_shortlink',
		// 機能
		'101' => 'scf_stop_selfpinback', 
		'102' => 'scf_del_loginlogo', 
		'103' => 'scf_stop_notice', 
		'104' => 'scf_del_adminbar', 
		'105' => 'scf_add_breadcrumb', 
		'106' => 'scf_stop_wpautop', 
		// 管理バー
		'201' => 'scf_del_barlogo', 
		'202' => 'scf_del_myaccount', 
		'203' => 'scf_add_logout', 
		'204' => 'scf_del_helptab', 
		'205' => 'scf_del_optiontab', 
		'206' => 'scf_del_viewsite', 
		'207' => 'scf_del_newcontent', 
		'208' => 'scf_del_newpost', 
		'209' => 'scf_del_newmedia', 
		'210' => 'scf_del_newlink', 
		'211' => 'scf_del_newpage', 
		'212' => 'scf_del_newuser', 
		'213' => 'scf_del_comments', 
		// フッター
		'301' => 'scf_del_foottext', 
		'302' => 'scf_del_footversion',
		// ダッシュボード
		'401' => 'scf_del_db_comments',
		'402' => 'scf_del_db_plugins',
		'403' => 'scf_del_db_quick',
		'404' => 'scf_del_db_draft',
		'405' => 'scf_del_db_primary',
		'406' => 'scf_del_db_secondary',
		'407' => 'scf_del_db_right_now',
		'408' => 'scf_del_db_incominglinks',
		'409' => 'scf_del_db_welcome',
		// 投稿画面
		'501' => 'scf_del_post_category',
		'502' => 'scf_del_post_tag',
		'503' => 'scf_del_post_commentstatus',
		'504' => 'scf_del_post_trackback',
		'505' => 'scf_del_post_author',
		'506' => 'scf_del_post_slug',
		'507' => 'scf_del_post_excerpt',
		'508' => 'scf_del_post_custom',
		'509' => 'scf_del_post_revision',
		'510' => 'scf_del_post_comment',
		'531' => 'scf_add_post_thumbnail',
		'532' => 'scf_add_post_attribute',
		'551' => 'scf_del_page_commentstatus',
		'552' => 'scf_del_page_author',
		'553' => 'scf_del_page_slug',
		'554' => 'scf_del_page_custom',
		'555' => 'scf_del_page_revision',
		'556' => 'scf_del_page_comment',
		'581' => 'scf_add_page_thumbnail',
		'582' => 'scf_add_page_excerpt',
		// プロフィール
		'601' => 'scf_del_profile_aim',
		'602' => 'scf_del_profile_jabber',
		'603' => 'scf_del_profile_yim',
		// メニュー
		'801' => 'scf_del_menu_dashboard',
		'802' => 'scf_del_menu_border1',
		'803' => 'scf_del_menu_post',
		'804' => 'scf_del_menu_media',
		'805' => 'scf_del_menu_link',
		'806' => 'scf_del_menu_page',
		'807' => 'scf_del_menu_comment',
		'808' => 'scf_del_menu_border2',
		'809' => 'scf_del_menu_theme',
		'810' => 'scf_del_menu_plugin',
		'811' => 'scf_del_menu_user',
		'812' => 'scf_del_menu_tool',
		'813' => 'scf_del_menu_setting',
		'814' => 'scf_del_menu_border3',
		'851' => 'scf_del_submenu_db_home',
		'852' => 'scf_del_submenu_db_update',
		'853' => 'scf_del_submenu_post_list',
		'854' => 'scf_del_submenu_post_add',
		'855' => 'scf_del_submenu_post_category',
		'856' => 'scf_del_submenu_post_tag',
		'857' => 'scf_del_submenu_media_list',
		'858' => 'scf_del_submenu_media_add',
		'859' => 'scf_del_submenu_link_list',
		'860' => 'scf_del_submenu_link_add',
		'861' => 'scf_del_submenu_link_category',
		'862' => 'scf_del_submenu_page_list',
		'863' => 'scf_del_submenu_page_add',
		'864' => 'scf_del_submenu_theme_main',
		'865' => 'scf_del_submenu_theme_widget',
		'866' => 'scf_del_submenu_theme_edit',
		'867' => 'scf_del_submenu_plugin_list',
		'868' => 'scf_del_submenu_plugin_add',
		'869' => 'scf_del_submenu_plugin_edit',
		'870' => 'scf_del_submenu_user_list',
		'871' => 'scf_del_submenu_user_add',
		'872' => 'scf_del_submenu_user_profile',
		'873' => 'scf_del_submenu_tool_require',
		'874' => 'scf_del_submenu_tool_import',
		'875' => 'scf_del_submenu_tool_export',
		'876' => 'scf_del_submenu_setting_general',
		'877' => 'scf_del_submenu_setting_post',
		'878' => 'scf_del_submenu_setting_view',
		'879' => 'scf_del_submenu_setting_discussion',
		'880' => 'scf_del_submenu_setting_media',
		'881' => 'scf_del_submenu_setting_privacy',
		'882' => 'scf_del_submenu_setting_permalink',
		// 設定削除
		'999' => 'scf_del_alldata'
	);
	// コンストラクタ
	function __construct(){
		add_action('admin_menu', array($this, 'show_menu'), 9999);
	}
	function scf_regist($array){
		// ■ 設定の保存
		foreach($array as $key){
			if($key != "999" and !empty($_POST[$this->param[$key]]) and get_option($this->param[$key]) != $_POST[$this->param[$key]]){
				update_option($this->param[$key], $_POST[$this->param[$key]]);
				if(!$this->flg) $this->flg = true;
			}
		}
	}
	// メニュー表示
	function show_menu(){
		add_menu_page('Clean Functions', 'Clean Functions', get_option('scf_level', 'level_8'), __FILE__, array(&$this, 'show_settings'), '', 146);
		add_submenu_page(__FILE__, SCF_NAME, 'CF機能設定',  get_option('scf_level', 'level_8'), __FILE__,  array(&$this, 'show_settings'));
		add_submenu_page(__FILE__, SCF_NAME, 'CF投稿設定',  get_option('scf_level', 'level_8'), __FILE__."_post",  array(&$this, 'show_post_settings'));
		add_submenu_page(__FILE__, SCF_NAME, 'CF管理画面設定',  get_option('scf_level', 'level_8'), __FILE__."_admin",  array(&$this, 'show_admin_settings'));
		add_submenu_page(__FILE__, SCF_NAME, 'CF管理メニュー設定',  get_option('scf_level', 'level_8'), __FILE__."_adminmenus",  array(&$this, 'show_admin_menus'));
		add_submenu_page(__FILE__, SCF_NAME, 'CF初期化',  get_option('scf_level', 'level_8'), __FILE__."_clear",  array(&$this, 'show_setting_clear'));
		add_submenu_page(__FILE__, SCF_NAME, 'CFヘルプ',  get_option('scf_level', 'level_8'), __FILE__."_help",  array(&$this, 'show_help'));
	}
	// 設定画面表示
	function show_settings(){
		// ■ 設定の保存
		$keys = array_keys($this->param);
		$this->scf_regist($keys);
		// スタイルシートとJavascriptを出力用キューに入れる
		wp_enqueue_style('scf_css', SCF_PLUGIN_URL.'base.css');
		wp_enqueue_script('scf_js', SCF_PLUGIN_URL.'script.js', array('jquery'));
?>
		<h2><?php echo SCF_NAME ?> <small>（機能設定）</small></h2>
		<form action="" method="post">
<?php if($this->flg): ?>
		<div class="alert">
			設定を変更しました。
		</div>
<?php endif; ?>
		<div class="tabdiv">
			<table class="scf_table">
				<tr>
					<th colspan="4" class="header">権限設定</th>
				</tr>
				<tr class="head">
					<th class="nowrap">設定名</th>
					<th class="nowrap" colspan="2">設定値</th>
					<th>備考</th>
				</tr>
				<tr>
					<th class="nowrap">アクセスレベル<span class="attention">【注意！】</span></th>
					<td class="nowrap" colspan="2">
						<select name="<?php echo $this->param[1] ?>">
							<option value=""></option>
							<option value="level_0"  <?php echo (get_option($this->param[1]) ==  'level_0') ? 'selected' : '' ?>>レベル 0（だれでも変更可能）</option>
							<option value="level_1"  <?php echo (get_option($this->param[1]) ==  'level_1') ? 'selected' : '' ?>>レベル 1（管理者・編集者・投稿者・寄稿者）</option>
							<option value="level_2"  <?php echo (get_option($this->param[1]) ==  'level_2') ? 'selected' : '' ?>>レベル 2（管理者・編集者・投稿者）</option>
							<option value="level_3"  <?php echo (get_option($this->param[1]) ==  'level_3') ? 'selected' : '' ?>>レベル 3（管理者・編集者・投稿者）</option>
							<option value="level_4"  <?php echo (get_option($this->param[1]) ==  'level_4') ? 'selected' : '' ?>>レベル 4（管理者・編集者・投稿者）</option>
							<option value="level_5"  <?php echo (get_option($this->param[1]) ==  'level_5') ? 'selected' : '' ?>>レベル 5（管理者・編集者）</option>
							<option value="level_6"  <?php echo (get_option($this->param[1]) ==  'level_6') ? 'selected' : '' ?>>レベル 6（管理者・編集者）</option>
							<option value="level_7"  <?php echo (get_option($this->param[1]) ==  'level_7') ? 'selected' : '' ?>>レベル 7（管理者・編集者）</option>
							<option value="level_8"  <?php echo (get_option($this->param[1]) ==  'level_8') ? 'selected' : '' ?>>レベル 8（管理者）※推奨</option>
							<option value="level_9"  <?php echo (get_option($this->param[1]) ==  'level_9') ? 'selected' : '' ?>>レベル 9（管理者）</option>
							<option value="level_10" <?php echo (get_option($this->param[1]) == 'level_10') ? 'selected' : '' ?>>レベル10（管理者）</option>
						</select>
					</td>
					<td>この設定を変更できる権限を設定します。設定しなければ「レベル 8（管理者）」が標準で設定されます。</td>
				</tr>
				<tr>
					<th class="nowrap">すべての設定を表示<span class="attention">【注意！】</span></th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[2] ?>" id="<?php echo $this->param[2] ?>1" value="1" <?php echo (get_option($this->param[2]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[2] ?>1"> 表示する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[2] ?>" id="<?php echo $this->param[2] ?>2" value="2" <?php echo (get_option($this->param[2]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[2] ?>2"> 表示しない</label>
					</td>
					<td>「wp_options」テーブルの設定データを全て表示するサブメニュー「すべての設定」を表示します。</td>
				</tr>
				<tr>
					<th colspan="4" class="header">&lt;head&gt;内設定</th>
				</tr>
				<tr class="head">
					<th class="nowrap">設定名</th>
					<th class="nowrap" colspan="2">設定値</th>
					<th>備考</th>
				</tr>
				<tr>
					<th class="nowrap">wp_generatorを削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[20] ?>" id="<?php echo $this->param[20] ?>1" value="1" <?php echo (get_option($this->param[20]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[20] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[20] ?>" id="<?php echo $this->param[20] ?>2" value="2" <?php echo (get_option($this->param[20]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[20] ?>2"> 表示する</label>
					</td>
					<td>ヘッダーに出力される WordPress のバージョン情報を削除する。</td>
				</tr>
				<tr>
					<th class="nowrap">wlwmanifest_linkを削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[21] ?>" id="<?php echo $this->param[21] ?>1" value="1" <?php echo (get_option($this->param[21]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[21] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[21] ?>" id="<?php echo $this->param[21] ?>2" value="2" <?php echo (get_option($this->param[21]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[21] ?>2"> 表示する</label>
					</td>
					<td>ヘッダーに出力される Windows Live Writer を使ってブログ投稿をする場合に使用されるタグを削除する。</td>
				</tr>
				<tr>
					<th class="nowrap">rsd_linkを削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[22] ?>" id="<?php echo $this->param[22] ?>1" value="1" <?php echo (get_option($this->param[22]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[22] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[22] ?>" id="<?php echo $this->param[22] ?>2" value="2" <?php echo (get_option($this->param[22]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[22] ?>2"> 表示する</label>
					</td>
					<td>外部アプリケーションから情報を取得するためのプロトコル「RSD(Really Simple Discovery)」のリンクを削除する。</td>
				</tr>
				<tr>
					<th class="nowrap">feed_linksを削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[24] ?>" id="<?php echo $this->param[24] ?>1" value="1" <?php echo (get_option($this->param[24]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[24] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[24] ?>" id="<?php echo $this->param[24] ?>2" value="2" <?php echo (get_option($this->param[24]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[24] ?>2"> 表示する</label>
					</td>
					<td>サイト全体のRSSフィードのリンクを削除する。</td>
				</tr>
				<tr>
					<th class="nowrap">feed_links_extraを削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[23] ?>" id="<?php echo $this->param[23] ?>1" value="1" <?php echo (get_option($this->param[23]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[23] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[23] ?>" id="<?php echo $this->param[23] ?>2" value="2" <?php echo (get_option($this->param[23]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[23] ?>2"> 表示する</label>
					</td>
					<td>その他のRSSフィードのリンクを削除する。</td>
				</tr>
				<tr>
					<th class="nowrap">index_rel_linkを削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[25] ?>" id="<?php echo $this->param[25] ?>1" value="1" <?php echo (get_option($this->param[25]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[25] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[25] ?>" id="<?php echo $this->param[25] ?>2" value="2" <?php echo (get_option($this->param[25]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[25] ?>2"> 表示する</label>
					</td>
					<td>「&lt;link rel="index" ... &gt;」を削除する。</td>
				</tr>
				<tr>
					<th class="nowrap">parent_post_rel_linkを削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[26] ?>" id="<?php echo $this->param[26] ?>1" value="1" <?php echo (get_option($this->param[26]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[26] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[26] ?>" id="<?php echo $this->param[26] ?>2" value="2" <?php echo (get_option($this->param[26]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[26] ?>2"> 表示する</label>
					</td>
					<td>「&lt;link rel="up" ... &gt;」を削除する。</td>
				</tr>
				<tr>
					<th class="nowrap">start_post_rel_linkを削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[27] ?>" id="<?php echo $this->param[27] ?>1" value="1" <?php echo (get_option($this->param[27]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[27] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[27] ?>" id="<?php echo $this->param[27] ?>2" value="2" <?php echo (get_option($this->param[27]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[27] ?>2"> 表示する</label>
					</td>
					<td>「&lt;link rel="start" ... &gt;」を削除する。</td>
				</tr>
				<tr>
					<th class="nowrap">adjacent_posts_rel_linkを削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[28] ?>" id="<?php echo $this->param[28] ?>1" value="1" <?php echo (get_option($this->param[28]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[28] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[28] ?>" id="<?php echo $this->param[28] ?>2" value="2" <?php echo (get_option($this->param[28]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[28] ?>2"> 表示する</label>
					</td>
					<td>「&lt;link rel="next" ... &gt;」や「&lt;link rel="prev" ... &gt;」を削除する。</td>
				</tr>
				<tr>
					<th class="nowrap">shortlinkを削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[29] ?>" id="<?php echo $this->param[29] ?>1" value="1" <?php echo (get_option($this->param[29]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[29] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[29] ?>" id="<?php echo $this->param[29] ?>2" value="2" <?php echo (get_option($this->param[29]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[29] ?>2"> 表示する</label>
					</td>
					<td>「&lt;link rel="shortlink" ... &gt;」を削除する。</td>
				</tr>
				<tr>
					<th colspan="4" class="header">機能設定</th>
				</tr>
				<tr class="head">
					<th class="nowrap">設定名</th>
					<th class="nowrap" colspan="2">設定値</th>
					<th>備考</th>
				</tr>
				<tr>
					<th class="nowrap">セルフピンバックの停止</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[101] ?>" id="<?php echo $this->param[101] ?>1" value="1" <?php echo (get_option($this->param[101]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[101] ?>1"> 停止する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[101] ?>" id="<?php echo $this->param[101] ?>2" value="2" <?php echo (get_option($this->param[101]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[101] ?>2"> 送信する</label>
					</td>
					<td>投稿時の自分宛のピンバック（自動リンク機能）を送出しないようにする。<br>（WordPress管理画面の「設定」→「ディスカッション」→「この投稿に含まれるすべてのリンクへの通知を試みる」と「他のブログからの通知（ピンバック・トラックバック）を受け付ける」でも設定できます。）</td>
				</tr>
				<tr>
					<th class="nowrap">ログイン画面のロゴの消去</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[102] ?>" id="<?php echo $this->param[102] ?>1" value="1" <?php echo (get_option($this->param[102]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[102] ?>1"> 非表示にする</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[102] ?>" id="<?php echo $this->param[102] ?>2" value="2" <?php echo (get_option($this->param[102]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[102] ?>2"> 表示する</label>
					</td>
					<td>ログイン画面に表示されるWordPressのロゴを非表示にする。</td>
				</tr>
				<tr>
					<th class="nowrap">管理者以外への通知の停止</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[103] ?>" id="<?php echo $this->param[103] ?>1" value="1" <?php echo (get_option($this->param[103]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[103] ?>1"> 停止する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[103] ?>" id="<?php echo $this->param[103] ?>2" value="2" <?php echo (get_option($this->param[103]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[103] ?>2"> 通知する</label>
					</td>
					<td>管理者以外のユーザーへの、WordPress更新通知、プラグイン更新通知、テンプレート更新通知を抑止する。</td>
				</tr>
				<tr>
					<th class="nowrap">管理バーを非表示</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[104] ?>" id="<?php echo $this->param[104] ?>1" value="1" <?php echo (get_option($this->param[104]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[104] ?>1"> 非表示にする</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[104] ?>" id="<?php echo $this->param[104] ?>2" value="2" <?php echo (get_option($this->param[104]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[104] ?>2"> 表示する</label>
					</td>
					<td>ログインした状態でサイトを表示すると、画面上部に表示される管理バーを、強制的に非表示にする。<br>（ユーザー編集画面の「サイトを見るときにツールバーを表示する」の設定にかかわらず、サイトでは管理バーが非表示になります。）</td>
				</tr>
				<tr>
					<th class="nowrap">パンくずリストを利用可能にする</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[105] ?>" id="<?php echo $this->param[105] ?>1" value="1" <?php echo (get_option($this->param[105]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[105] ?>1"> 利用可能にする</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[105] ?>" id="<?php echo $this->param[105] ?>2" value="2" <?php echo (get_option($this->param[105]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[105] ?>2"> 不要</label>
					</td>
					<td>ページにパンくずリストを表示する機能を追加。<br>使用方法は2通りで、記事編集画面でショートコード[pankuzu]を入力するか、テンプレートに直接「breadcrumb()」と記述すれば利用できます。</td>
				</tr>
				<tr>
					<th class="nowrap">自動的に「P」タグが挿入されるのを抑止</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[106] ?>" id="<?php echo $this->param[106] ?>1" value="1" <?php echo (get_option($this->param[106]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[106] ?>1"> 抑止する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[106] ?>" id="<?php echo $this->param[106] ?>2" value="2" <?php echo (get_option($this->param[106]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[106] ?>2"> 抑止しない</label>
					</td>
					<td>ビジュアルエディタでEnterを押したときに自動的に挿入される「P」タグを抑止することが出来ます。（brタグで改行されます。）</td>
				</tr>
			</table>
		</div>
		<input type="submit" value="設定を保存" class="button-primary">
		</form>
<?
	}
	// 管理画面表示
	function show_admin_settings(){
		// ■ 設定の保存
		$keys = array_keys($this->param);
		$this->scf_regist($keys);
		// スタイルシートとJavascriptを出力用キューに入れる
		wp_enqueue_style('scf_css', SCF_PLUGIN_URL.'base.css');
		wp_enqueue_script('scf_js', SCF_PLUGIN_URL.'script.js', array('jquery'));
?>
		<h2><?php echo SCF_NAME ?> <small>（管理画面設定）</small></h2>
		<form action="" method="post">
<?php if($this->flg): ?>
		<div class="alert">
			設定を変更しました。
		</div>
<?php endif; ?>
		<div class="tabdiv">
			<table class="scf_table">
				<tr>
					<th colspan="5" class="header">管理バー設定</th>
				</tr>
				<tr class="head">
					<th class="nowrap" colspan="2">設定名</th>
					<th class="nowrap" colspan="2">設定値</th>
					<th>備考</th>
				</tr>
				<tr>
					<th class="nowrap" rowspan="13">管理バー</th>
					<th class="nowrap">WordPressロゴの削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[201] ?>" id="<?php echo $this->param[201] ?>1" value="1" <?php echo (get_option($this->param[201]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[201] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[201] ?>" id="<?php echo $this->param[201] ?>2" value="2" <?php echo (get_option($this->param[201]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[201] ?>2"> 表示する</label>
					</td>
					<td>管理画面左上に表示されるWordPressのロゴとリンクを削除する。</td>
				</tr>
				<tr>
					<th class="nowrap">サイト名→「サイトを表示」を削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[206] ?>" id="<?php echo $this->param[206] ?>1" value="1" <?php echo (get_option($this->param[206]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[206] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[206] ?>" id="<?php echo $this->param[206] ?>2" value="2" <?php echo (get_option($this->param[206]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[206] ?>2"> 表示する</label>
					</td>
					<td>管理画面左上に表示されるサイト名にマウスを合わせたときに表示される「サイトを表示」を削除します。<br>（サイト名をクリックすれば、サイトを表示できます。）</td>
				</tr>
				<tr>
					<th class="nowrap">「新規」を削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[207] ?>" id="<?php echo $this->param[207] ?>1" value="1" <?php echo (get_option($this->param[207]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[207] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[207] ?>" id="<?php echo $this->param[207] ?>2" value="2" <?php echo (get_option($this->param[207]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[207] ?>2"> 表示する</label>
					</td>
					<td>管理画面左上に表示される「新規」を削除します。<br>※「新規」を削除すると、新規のサブメニューである以下の5つも自動的に消えます。<br>※「新規」のみ表示して以下の5つを削除すると、「新規」をクリックした場合に「投稿」→「新規追加」へ移動します。</td>
				</tr>
				<tr>
					<th class="nowrap">「新規」→「投稿」を削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[208] ?>" id="<?php echo $this->param[208] ?>1" value="1" <?php echo (get_option($this->param[208]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[208] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[208] ?>" id="<?php echo $this->param[208] ?>2" value="2" <?php echo (get_option($this->param[208]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[208] ?>2"> 表示する</label>
					</td>
					<td>管理画面左上に表示される「新規」→「投稿」を削除します。</td>
				</tr>
				<tr>
					<th class="nowrap">「新規」→「メディア」を削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[209] ?>" id="<?php echo $this->param[209] ?>1" value="1" <?php echo (get_option($this->param[209]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[209] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[209] ?>" id="<?php echo $this->param[209] ?>2" value="2" <?php echo (get_option($this->param[209]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[209] ?>2"> 表示する</label>
					</td>
					<td>管理画面左上に表示される「新規」→「メディア」を削除します。</td>
				</tr>
				<tr>
					<th class="nowrap">「新規」→「リンク」を削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[210] ?>" id="<?php echo $this->param[210] ?>1" value="1" <?php echo (get_option($this->param[210]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[210] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[210] ?>" id="<?php echo $this->param[210] ?>2" value="2" <?php echo (get_option($this->param[210]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[210] ?>2"> 表示する</label>
					</td>
					<td>管理画面左上に表示される「新規」→「リンク」を削除します。</td>
				</tr>
				<tr>
					<th class="nowrap">「新規」→「固定ページ」を削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[211] ?>" id="<?php echo $this->param[211] ?>1" value="1" <?php echo (get_option($this->param[211]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[211] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[211] ?>" id="<?php echo $this->param[211] ?>2" value="2" <?php echo (get_option($this->param[211]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[211] ?>2"> 表示する</label>
					</td>
					<td>管理画面左上に表示される「新規」→「固定ページ」を削除します。</td>
				</tr>
				<tr>
					<th class="nowrap">「新規」→「ユーザー」を削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[212] ?>" id="<?php echo $this->param[212] ?>1" value="1" <?php echo (get_option($this->param[212]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[212] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[212] ?>" id="<?php echo $this->param[212] ?>2" value="2" <?php echo (get_option($this->param[212]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[212] ?>2"> 表示する</label>
					</td>
					<td>管理画面左上に表示される「新規」→「ユーザー」を削除します。</td>
				</tr>
				<tr>
					<th class="nowrap">「コメント」を削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[213] ?>" id="<?php echo $this->param[213] ?>1" value="1" <?php echo (get_option($this->param[213]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[213] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[213] ?>" id="<?php echo $this->param[213] ?>2" value="2" <?php echo (get_option($this->param[213]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[213] ?>2"> 表示する</label>
					</td>
					<td>管理画面左上に表示される「コメント」を削除します。</td>
				</tr>
				<tr>
					<th class="nowrap">マイアカウントの削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[202] ?>" id="<?php echo $this->param[202] ?>1" value="1" <?php echo (get_option($this->param[202]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[202] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[202] ?>" id="<?php echo $this->param[202] ?>2" value="2" <?php echo (get_option($this->param[202]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[202] ?>2"> 表示する</label>
					</td>
					<td>管理画面右上に表示される「こんにちは、○○さん」の表示とリンクを削除する。<br>（この設定を削除すると、ログアウトボタンが非表示になるので、以下の「ログアウトリンク」を追加してください。）</td>
				</tr>
				<tr>
					<th class="nowrap">ログアウトリンクを追加</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[203] ?>" id="<?php echo $this->param[203] ?>1" value="1" <?php echo (get_option($this->param[203]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[203] ?>1"> 追加する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[203] ?>" id="<?php echo $this->param[203] ?>2" value="2" <?php echo (get_option($this->param[203]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[203] ?>2"> 追加しない</label>
					</td>
					<td>管理バーにログアウトのリンクを追加する。</td>
				</tr>
				<tr>
					<th class="nowrap">表示オプションの非表示</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[205] ?>" id="<?php echo $this->param[205] ?>1" value="1" <?php echo (get_option($this->param[205]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[205] ?>1"> 非表示にする</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[205] ?>" id="<?php echo $this->param[205] ?>2" value="2" <?php echo (get_option($this->param[205]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[205] ?>2"> 表示する</label>
					</td>
					<td>管理画面右上に表示される表示オプションタブを非表示にする。</td>
				</tr>
				<tr>
					<th class="nowrap">ヘルプの非表示</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[204] ?>" id="<?php echo $this->param[204] ?>1" value="1" <?php echo (get_option($this->param[204]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[204] ?>1"> 非表示にする</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[204] ?>" id="<?php echo $this->param[204] ?>2" value="2" <?php echo (get_option($this->param[204]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[204] ?>2"> 表示する</label>
					</td>
					<td>管理画面右上に表示されるヘルプタブを非表示にする。</td>
				</tr>
				<tr>
					<th colspan="5" class="header">フッター設定</th>
				</tr>
				<tr class="head">
					<th class="nowrap" colspan="2">設定名</th>
					<th class="nowrap" colspan="2">設定値</th>
					<th>備考</th>
				</tr>
				<tr>
					<th class="nowrap" rowspan="2">管理画面フッター</th>
					<th class="nowrap">文章の削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[301] ?>" id="<?php echo $this->param[301] ?>1" value="1" <?php echo (get_option($this->param[301]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[301] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[301] ?>" id="<?php echo $this->param[301] ?>2" value="2" <?php echo (get_option($this->param[301]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[301] ?>2"> 表示する</label>
					</td>
					<td>管理画面左下に表示される「WordPressのご利用ありがとうございます。」の文章を非表示にする。</td>
				</tr>
				<tr>
					<th class="nowrap">バージョン情報非表示</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[302] ?>" id="<?php echo $this->param[302] ?>1" value="1" <?php echo (get_option($this->param[302]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[302] ?>1"> 非表示にする</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[302] ?>" id="<?php echo $this->param[302] ?>2" value="2" <?php echo (get_option($this->param[302]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[302] ?>2"> 表示する</label>
					</td>
					<td>管理画面右下に表示されるWordPressのバージョンを非表示にする。</td>
				</tr>
				<tr>
					<th colspan="5" class="header">ダッシュボード設定</th>
				</tr>
				<tr class="head">
					<th class="nowrap" colspan="2">設定名</th>
					<th class="nowrap" colspan="2">設定値</th>
					<th>備考</th>
				</tr>
				<tr>
					<th class="nowrap" rowspan="9">ダッシュボード<br>ウィジェット</th>
					<th class="nowrap">「ウェルカムスクリーン」を非表示</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[409] ?>" id="<?php echo $this->param[409] ?>1" value="1" <?php echo (get_option($this->param[409]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[409] ?>1"> 非表示にする</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[409] ?>" id="<?php echo $this->param[409] ?>2" value="2" <?php echo (get_option($this->param[409]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[409] ?>2"> 表示する</label>
					</td>
					<td>ダッシュボードで表示されるウィジェットの「ウェルカムスクリーン」（WordPressへようこそ）を非表示にします。</td>
				</tr>
				<tr>
					<th class="nowrap">「最近のコメント」を削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[401] ?>" id="<?php echo $this->param[401] ?>1" value="1" <?php echo (get_option($this->param[401]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[401] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[401] ?>" id="<?php echo $this->param[401] ?>2" value="2" <?php echo (get_option($this->param[401]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[401] ?>2"> 表示する</label>
					</td>
					<td>ダッシュボードで表示されるウィジェットの「最近のコメント」を削除します。</td>
				</tr>
				<tr>
					<th class="nowrap">「プラグイン」を削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[402] ?>" id="<?php echo $this->param[402] ?>1" value="1" <?php echo (get_option($this->param[402]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[402] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[402] ?>" id="<?php echo $this->param[402] ?>2" value="2" <?php echo (get_option($this->param[402]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[402] ?>2"> 表示する</label>
					</td>
					<td>ダッシュボードで表示されるウィジェットの「プラグイン」を削除します。</td>
				</tr>
				<tr>
					<th class="nowrap">「クイック投稿」を削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[403] ?>" id="<?php echo $this->param[403] ?>1" value="1" <?php echo (get_option($this->param[403]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[403] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[403] ?>" id="<?php echo $this->param[403] ?>2" value="2" <?php echo (get_option($this->param[403]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[403] ?>2"> 表示する</label>
					</td>
					<td>ダッシュボードで表示されるウィジェットの「クイック投稿」を削除します。</td>
				</tr>
				<tr>
					<th class="nowrap">「最近の下書き」を削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[404] ?>" id="<?php echo $this->param[404] ?>1" value="1" <?php echo (get_option($this->param[404]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[404] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[404] ?>" id="<?php echo $this->param[404] ?>2" value="2" <?php echo (get_option($this->param[404]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[404] ?>2"> 表示する</label>
					</td>
					<td>ダッシュボードで表示されるウィジェットの「最近の下書き」を削除します。</td>
				</tr>
				<tr>
					<th class="nowrap">「WordPressブログ」を削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[405] ?>" id="<?php echo $this->param[405] ?>1" value="1" <?php echo (get_option($this->param[405]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[405] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[405] ?>" id="<?php echo $this->param[405] ?>2" value="2" <?php echo (get_option($this->param[405]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[405] ?>2"> 表示する</label>
					</td>
					<td>ダッシュボードで表示されるウィジェットの「WordPressブログ」を削除します。<br>※WordPressブログは、設定を変更するとRSSリーダーとして使えます。</td>
				</tr>
				<tr>
					<th class="nowrap">「WordPressフォーラム」を削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[406] ?>" id="<?php echo $this->param[406] ?>1" value="1" <?php echo (get_option($this->param[406]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[406] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[406] ?>" id="<?php echo $this->param[406] ?>2" value="2" <?php echo (get_option($this->param[406]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[406] ?>2"> 表示する</label>
					</td>
					<td>ダッシュボードで表示されるウィジェットの「WordPressフォーラム」を削除します。<br>※WordPressフォーラム、設定を変更するとRSSリーダーとして使えます。</td>
				</tr>
				<tr>
					<th class="nowrap">「現在の状況」を削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[407] ?>" id="<?php echo $this->param[407] ?>1" value="1" <?php echo (get_option($this->param[407]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[407] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[407] ?>" id="<?php echo $this->param[407] ?>2" value="2" <?php echo (get_option($this->param[407]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[407] ?>2"> 表示する</label>
					</td>
					<td>ダッシュボードで表示されるウィジェットの「現在の状況」を削除します。</td>
				</tr>
				<tr>
					<th class="nowrap">「被リンク」を削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[408] ?>" id="<?php echo $this->param[408] ?>1" value="1" <?php echo (get_option($this->param[408]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[408] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[408] ?>" id="<?php echo $this->param[408] ?>2" value="2" <?php echo (get_option($this->param[408]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[408] ?>2"> 表示する</label>
					</td>
					<td>ダッシュボードで表示されるウィジェットの「被リンク」を削除します。</td>
				</tr>
				<tr>
					<th colspan="6" class="header">プロフィール設定</th>
				</tr>
				<tr class="head">
					<th class="nowrap" colspan="2">設定名</th>
					<th class="nowrap" colspan="2">設定値</th>
					<th>備考</th>
				</tr>
				<tr>
					<th rowspan="3">プロフィール<br>連絡先情報</th>
					<th class="nowrap">「AIM」を削除する</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[601] ?>" id="<?php echo $this->param[601] ?>1" value="1" <?php echo (get_option($this->param[601]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[601] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[601] ?>" id="<?php echo $this->param[601] ?>2" value="2" <?php echo (get_option($this->param[601]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[601] ?>2"> 表示する</label>
					</td>
					<td>プロフィール画面の連絡先情報に表示されている「AIM」を削除します。</td>
				</tr>
				<tr>
					<th class="nowrap">「Yahoo IM」を削除する</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[602] ?>" id="<?php echo $this->param[602] ?>1" value="1" <?php echo (get_option($this->param[602]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[602] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[602] ?>" id="<?php echo $this->param[602] ?>2" value="2" <?php echo (get_option($this->param[602]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[602] ?>2"> 表示する</label>
					</td>
					<td>プロフィール画面の連絡先情報に表示されている「Yahoo IM」を削除します。</td>
				</tr>
				<tr>
					<th class="nowrap">「Jabber / Google Talk」を削除する</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[603] ?>" id="<?php echo $this->param[603] ?>1" value="1" <?php echo (get_option($this->param[603]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[603] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[603] ?>" id="<?php echo $this->param[603] ?>2" value="2" <?php echo (get_option($this->param[603]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[603] ?>2"> 表示する</label>
					</td>
					<td>プロフィール画面の連絡先情報に表示されている「Jabber / Google Talk」を削除します。</td>
				</tr>
			</table>
		</div>
		<input type="submit" value="設定を保存" class="button-primary">
		</form>
<?
	}
	// 管理管理表示
	function show_admin_menus(){
		// ■ 設定の保存
		$keys = array_keys($this->param);
		$this->scf_regist($keys);
		// スタイルシートとJavascriptを出力用キューに入れる
		wp_enqueue_style('scf_css', SCF_PLUGIN_URL.'base.css');
		wp_enqueue_script('scf_js', SCF_PLUGIN_URL.'script.js', array('jquery'));
?>
		<h2><?php echo SCF_NAME ?> <small>（管理メニュー設定）</small></h2>
		<form action="" method="post">
<?php if($this->flg): ?>
		<div class="alert">
			設定を変更しました。
		</div>
<?php endif; ?>
		<div class="tabdiv">
			<table class="scf_table">
				<tr>
					<th colspan="5" class="header">メニュー設定</th>
				</tr>
				<tr class="head">
					<th class="nowrap" colspan="2">設定名</th>
					<th class="nowrap" colspan="2">設定値</th>
					<th>備考</th>
				</tr>
				<tr>
					<th class="nowrap" rowspan="3">ダッシュボード</th>
					<th class="nowrap">メニューの削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[801] ?>" id="<?php echo $this->param[801] ?>1" value="1" <?php echo (get_option($this->param[801]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[801] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[801] ?>" id="<?php echo $this->param[801] ?>2" value="2" <?php echo (get_option($this->param[801]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[801] ?>2"> 表示する</label>
					</td>
					<td>管理画面左に表示される「ダッシュボード」メニューリンクを削除します。ダッシュボードにアクセスできなくなります。</td>
				</tr>
				<tr>
					<th class="nowrap">「ホーム」サブメニューの削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[851] ?>" id="<?php echo $this->param[851] ?>1" value="1" <?php echo (get_option($this->param[851]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[851] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[851] ?>" id="<?php echo $this->param[851] ?>2" value="2" <?php echo (get_option($this->param[851]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[851] ?>2"> 表示する</label>
					</td>
					<td>管理画面左に表示される「ダッシュボード」のサブメニュー「ホーム」リンクを削除します。</td>
				</tr>
				<tr>
					<th class="nowrap">「更新」サブメニューの削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[852] ?>" id="<?php echo $this->param[852] ?>1" value="1" <?php echo (get_option($this->param[852]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[852] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[852] ?>" id="<?php echo $this->param[852] ?>2" value="2" <?php echo (get_option($this->param[852]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[852] ?>2"> 表示する</label>
					</td>
					<td>管理画面左に表示される「ダッシュボード」のサブメニュー「更新」リンクを削除します。</td>
				</tr>
				<tr>
					<th class="nowrap" colspan="2">「メニュー線1」の削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[802] ?>" id="<?php echo $this->param[802] ?>1" value="1" <?php echo (get_option($this->param[802]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[802] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[802] ?>" id="<?php echo $this->param[802] ?>2" value="2" <?php echo (get_option($this->param[802]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[802] ?>2"> 表示する</label>
					</td>
					<td>管理画面左に表示されるダッシュボード下の区切り線を削除します。</td>
				</tr>
				<tr>
					<th class="nowrap" rowspan="5">投稿</th>
					<th class="nowrap">メニューの削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[803] ?>" id="<?php echo $this->param[803] ?>1" value="1" <?php echo (get_option($this->param[803]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[803] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[803] ?>" id="<?php echo $this->param[803] ?>2" value="2" <?php echo (get_option($this->param[803]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[803] ?>2"> 表示する</label>
					</td>
					<td>管理画面左に表示される「投稿」メニューリンクを削除します。投稿にアクセスできなくなります。</td>
				</tr>
				<tr>
					<th class="nowrap">「投稿一覧」サブメニューの削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[853] ?>" id="<?php echo $this->param[853] ?>1" value="1" <?php echo (get_option($this->param[853]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[853] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[853] ?>" id="<?php echo $this->param[853] ?>2" value="2" <?php echo (get_option($this->param[853]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[853] ?>2"> 表示する</label>
					</td>
					<td>管理画面左に表示される「投稿」メニューのサブメニュー「投稿一覧」リンクを削除します。</td>
				</tr>
				<tr>
					<th class="nowrap">「新規追加」サブメニューの削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[854] ?>" id="<?php echo $this->param[854] ?>1" value="1" <?php echo (get_option($this->param[854]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[854] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[854] ?>" id="<?php echo $this->param[854] ?>2" value="2" <?php echo (get_option($this->param[854]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[854] ?>2"> 表示する</label>
					</td>
					<td>管理画面左に表示される「投稿」メニューのサブメニュー「新規追加」リンクを削除します。</td>
				</tr>
				<tr>
					<th class="nowrap">「カテゴリー」サブメニューの削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[855] ?>" id="<?php echo $this->param[855] ?>1" value="1" <?php echo (get_option($this->param[855]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[855] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[855] ?>" id="<?php echo $this->param[855] ?>2" value="2" <?php echo (get_option($this->param[855]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[855] ?>2"> 表示する</label>
					</td>
					<td>管理画面左に表示される「投稿」メニューのサブメニュー「カテゴリー」リンクを削除します。<br>カテゴリー設定できなくなります。</td>
				</tr>
				<tr>
					<th class="nowrap">「タグ」サブメニューの削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[856] ?>" id="<?php echo $this->param[856] ?>1" value="1" <?php echo (get_option($this->param[856]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[856] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[856] ?>" id="<?php echo $this->param[856] ?>2" value="2" <?php echo (get_option($this->param[856]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[856] ?>2"> 表示する</label>
					</td>
					<td>管理画面左に表示される「投稿」メニューのサブメニュー「タグ」リンクを削除します。<br>タグ設定できなくなります。</td>
				</tr>
				<tr>
					<th class="nowrap" rowspan="3">メディア</th>
					<th class="nowrap">メニューの削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[804] ?>" id="<?php echo $this->param[804] ?>1" value="1" <?php echo (get_option($this->param[804]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[804] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[804] ?>" id="<?php echo $this->param[804] ?>2" value="2" <?php echo (get_option($this->param[804]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[804] ?>2"> 表示する</label>
					</td>
					<td>管理画面左に表示される「メディア」メニューリンクを削除します。メディアにアクセスできなくなります。</td>
				</tr>
				<tr>
					<th class="nowrap">「ライブラリ」サブメニューの削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[857] ?>" id="<?php echo $this->param[857] ?>1" value="1" <?php echo (get_option($this->param[857]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[857] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[857] ?>" id="<?php echo $this->param[857] ?>2" value="2" <?php echo (get_option($this->param[857]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[857] ?>2"> 表示する</label>
					</td>
					<td>管理画面左に表示される「メディア」のサブメニュー「ライブラリ」リンクを削除します。</td>
				</tr>
				<tr>
					<th class="nowrap">「新規追加」サブメニューの削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[858] ?>" id="<?php echo $this->param[858] ?>1" value="1" <?php echo (get_option($this->param[858]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[858] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[858] ?>" id="<?php echo $this->param[858] ?>2" value="2" <?php echo (get_option($this->param[858]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[858] ?>2"> 表示する</label>
					</td>
					<td>管理画面左に表示される「メディア」のサブメニュー「新規追加」リンクを削除します。</td>
				</tr>
				<tr>
					<th class="nowrap" rowspan="4">リンク</th>
					<th class="nowrap">メニューの削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[805] ?>" id="<?php echo $this->param[805] ?>1" value="1" <?php echo (get_option($this->param[805]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[805] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[805] ?>" id="<?php echo $this->param[805] ?>2" value="2" <?php echo (get_option($this->param[805]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[805] ?>2"> 表示する</label>
					</td>
					<td>管理画面左に表示される「リンク」メニューリンクを削除します。リンクにアクセスできなくなります。<br>（※「Link Manager」プラグインを入れていない場合は、表示されていません。）</td>
				</tr>
				<tr>
					<th class="nowrap">「すべてのリンク」サブメニューの削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[859] ?>" id="<?php echo $this->param[859] ?>1" value="1" <?php echo (get_option($this->param[859]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[859] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[859] ?>" id="<?php echo $this->param[859] ?>2" value="2" <?php echo (get_option($this->param[859]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[859] ?>2"> 表示する</label>
					</td>
					<td>管理画面左に表示される「リンク」のサブメニュー「すべてのリンク」を削除します。<br>（※「Link Manager」プラグインを入れていない場合は、表示されていません。）</td>
				</tr>
				<tr>
					<th class="nowrap">「新規追加」サブメニューの削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[860] ?>" id="<?php echo $this->param[860] ?>1" value="1" <?php echo (get_option($this->param[860]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[860] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[860] ?>" id="<?php echo $this->param[860] ?>2" value="2" <?php echo (get_option($this->param[860]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[860] ?>2"> 表示する</label>
					</td>
					<td>管理画面左に表示される「リンク」のサブメニュー「新規追加」リンクを削除します。<br>（※「Link Manager」プラグインを入れていない場合は、表示されていません。）</td>
				</tr>
				<tr>
					<th class="nowrap">「カテゴリー」サブメニューの削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[861] ?>" id="<?php echo $this->param[861] ?>1" value="1" <?php echo (get_option($this->param[861]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[861] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[861] ?>" id="<?php echo $this->param[861] ?>2" value="2" <?php echo (get_option($this->param[861]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[861] ?>2"> 表示する</label>
					</td>
					<td>管理画面左に表示される「リンク」のサブメニュー「カテゴリー」リンクを削除します。<br>（※「Link Manager」プラグインを入れていない場合は、表示されていません。）</td>
				</tr>
				<tr>
					<th class="nowrap" rowspan="3">固定ページ</th>
					<th class="nowrap">メニューの削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[806] ?>" id="<?php echo $this->param[806] ?>1" value="1" <?php echo (get_option($this->param[806]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[806] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[806] ?>" id="<?php echo $this->param[806] ?>2" value="2" <?php echo (get_option($this->param[806]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[806] ?>2"> 表示する</label>
					</td>
					<td>管理画面左に表示される「固定ページ」メニューリンクを削除します。固定ページにアクセスできなくなります。</td>
				</tr>
				<tr>
					<th class="nowrap">「固定ページ一覧」サブメニューの削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[862] ?>" id="<?php echo $this->param[862] ?>1" value="1" <?php echo (get_option($this->param[862]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[862] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[862] ?>" id="<?php echo $this->param[862] ?>2" value="2" <?php echo (get_option($this->param[862]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[862] ?>2"> 表示する</label>
					</td>
					<td>管理画面左に表示される「固定ページ」のサブメニュー「固定ページ一覧」リンクを削除します。</td>
				</tr>
				<tr>
					<th class="nowrap">「新規追加」サブメニューの削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[863] ?>" id="<?php echo $this->param[863] ?>1" value="1" <?php echo (get_option($this->param[863]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[863] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[863] ?>" id="<?php echo $this->param[863] ?>2" value="2" <?php echo (get_option($this->param[863]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[863] ?>2"> 表示する</label>
					</td>
					<td>管理画面左に表示される「固定ページ」のサブメニュー「新規追加」リンクを削除します。</td>
				</tr>
				<tr>
					<th class="nowrap" colspan="2">「コメント」メニューの削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[807] ?>" id="<?php echo $this->param[807] ?>1" value="1" <?php echo (get_option($this->param[807]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[807] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[807] ?>" id="<?php echo $this->param[807] ?>2" value="2" <?php echo (get_option($this->param[807]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[807] ?>2"> 表示する</label>
					</td>
					<td>管理画面左に表示される「コメント」メニューリンクを削除します。コメントにアクセスできなくなります。</td>
				</tr>
				<tr>
					<th class="nowrap" colspan="2">「メニュー線2」の削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[808] ?>" id="<?php echo $this->param[808] ?>1" value="1" <?php echo (get_option($this->param[808]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[808] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[808] ?>" id="<?php echo $this->param[808] ?>2" value="2" <?php echo (get_option($this->param[808]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[808] ?>2"> 表示する</label>
					</td>
					<td>管理画面左に表示されるコメント下の区切り線を削除します。</td>
				</tr>
				<tr>
					<th class="nowrap" rowspan="4">外観</th>
					<th class="nowrap">メニューの削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[809] ?>" id="<?php echo $this->param[809] ?>1" value="1" <?php echo (get_option($this->param[809]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[809] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[809] ?>" id="<?php echo $this->param[809] ?>2" value="2" <?php echo (get_option($this->param[809]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[809] ?>2"> 表示する</label>
					</td>
					<td>管理画面左に表示される「外観」メニューリンクを削除します。外観にアクセスできなくなります。</td>
				</tr>
				<tr>
					<th class="nowrap">「テーマ」サブメニューの削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[864] ?>" id="<?php echo $this->param[864] ?>1" value="1" <?php echo (get_option($this->param[864]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[864] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[864] ?>" id="<?php echo $this->param[864] ?>2" value="2" <?php echo (get_option($this->param[864]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[864] ?>2"> 表示する</label>
					</td>
					<td>管理画面左に表示される「外観」のサブメニュー「テーマ」リンクを削除します。</td>
				</tr>
				<tr>
					<th class="nowrap">「ウィジェット」サブメニューの削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[865] ?>" id="<?php echo $this->param[865] ?>1" value="1" <?php echo (get_option($this->param[865]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[865] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[865] ?>" id="<?php echo $this->param[865] ?>2" value="2" <?php echo (get_option($this->param[865]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[865] ?>2"> 表示する</label>
					</td>
					<td>管理画面左に表示される「外観」のサブメニュー「ウィジェット」リンクを削除します。</td>
				</tr>
				<tr>
					<th class="nowrap">「テーマ編集」サブメニューの削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[866] ?>" id="<?php echo $this->param[866] ?>1" value="1" <?php echo (get_option($this->param[866]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[866] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[866] ?>" id="<?php echo $this->param[866] ?>2" value="2" <?php echo (get_option($this->param[866]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[866] ?>2"> 表示する</label>
					</td>
					<td>管理画面左に表示される「外観」のサブメニュー「テーマ編集」リンクを削除します。</td>
				</tr>
				<tr>
					<th class="nowrap" rowspan="4">プラグイン</th>
					<th class="nowrap">メニューの削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[810] ?>" id="<?php echo $this->param[810] ?>1" value="1" <?php echo (get_option($this->param[810]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[810] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[810] ?>" id="<?php echo $this->param[810] ?>2" value="2" <?php echo (get_option($this->param[810]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[810] ?>2"> 表示する</label>
					</td>
					<td>管理画面左に表示される「プラグイン」メニューリンクを削除します。プラグインにアクセスできなくなります。</td>
				</tr>
				<tr>
					<th class="nowrap">「インストール済みプラグイン」サブメニューの削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[867] ?>" id="<?php echo $this->param[867] ?>1" value="1" <?php echo (get_option($this->param[867]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[867] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[867] ?>" id="<?php echo $this->param[867] ?>2" value="2" <?php echo (get_option($this->param[867]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[867] ?>2"> 表示する</label>
					</td>
					<td>管理画面左に表示される「プラグイン」のサブメニュー「インストール済みプラグイン」リンクを削除します。</td>
				</tr>
				<tr>
					<th class="nowrap">「新規追加」サブメニューの削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[868] ?>" id="<?php echo $this->param[868] ?>1" value="1" <?php echo (get_option($this->param[868]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[868] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[868] ?>" id="<?php echo $this->param[868] ?>2" value="2" <?php echo (get_option($this->param[868]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[868] ?>2"> 表示する</label>
					</td>
					<td>管理画面左に表示される「プラグイン」のサブメニュー「新規追加」リンクを削除します。</td>
				</tr>
				<tr>
					<th class="nowrap">「プラグイン編集」サブメニューの削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[869] ?>" id="<?php echo $this->param[869] ?>1" value="1" <?php echo (get_option($this->param[869]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[869] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[869] ?>" id="<?php echo $this->param[869] ?>2" value="2" <?php echo (get_option($this->param[869]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[869] ?>2"> 表示する</label>
					</td>
					<td>管理画面左に表示される「プラグイン」のサブメニュー「プラグイン編集」リンクを削除します。</td>
				</tr>
				<tr>
					<th class="nowrap" rowspan="4">ユーザー</th>
					<th class="nowrap">メニューの削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[811] ?>" id="<?php echo $this->param[811] ?>1" value="1" <?php echo (get_option($this->param[811]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[811] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[811] ?>" id="<?php echo $this->param[811] ?>2" value="2" <?php echo (get_option($this->param[811]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[811] ?>2"> 表示する</label>
					</td>
					<td>管理画面左に表示される「ユーザー」メニューリンクを削除します。ユーザーにアクセスできなくなります。</td>
				</tr>
				<tr>
					<th class="nowrap">「ユーザー一覧」サブメニューの削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[870] ?>" id="<?php echo $this->param[870] ?>1" value="1" <?php echo (get_option($this->param[870]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[870] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[870] ?>" id="<?php echo $this->param[870] ?>2" value="2" <?php echo (get_option($this->param[870]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[870] ?>2"> 表示する</label>
					</td>
					<td>管理画面左に表示される「ユーザー」のサブメニュー「ユーザー一覧」リンクを削除します。</td>
				</tr>
				<tr>
					<th class="nowrap">「新規追加」サブメニューの削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[871] ?>" id="<?php echo $this->param[871] ?>1" value="1" <?php echo (get_option($this->param[871]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[871] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[871] ?>" id="<?php echo $this->param[871] ?>2" value="2" <?php echo (get_option($this->param[871]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[871] ?>2"> 表示する</label>
					</td>
					<td>管理画面左に表示される「ユーザー」のサブメニュー「新規追加」リンクを削除します。</td>
				</tr>
				<tr>
					<th class="nowrap">「プロフィール」サブメニューの削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[872] ?>" id="<?php echo $this->param[872] ?>1" value="1" <?php echo (get_option($this->param[872]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[872] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[872] ?>" id="<?php echo $this->param[872] ?>2" value="2" <?php echo (get_option($this->param[872]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[872] ?>2"> 表示する</label>
					</td>
					<td>管理画面左に表示される「ユーザー」のサブメニュー「プロフィール」リンクを削除します。</td>
				</tr>
				<tr>
					<th class="nowrap" rowspan="4">ツール</th>
					<th class="nowrap">メニューの削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[812] ?>" id="<?php echo $this->param[812] ?>1" value="1" <?php echo (get_option($this->param[812]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[812] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[812] ?>" id="<?php echo $this->param[812] ?>2" value="2" <?php echo (get_option($this->param[812]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[812] ?>2"> 表示する</label>
					</td>
					<td>管理画面左に表示される「ツール」メニューリンクを削除します。ツールにアクセスできなくなります。</td>
				</tr>
				<tr>
					<th class="nowrap">「利用可能なツール」サブメニューの削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[873] ?>" id="<?php echo $this->param[873] ?>1" value="1" <?php echo (get_option($this->param[873]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[873] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[873] ?>" id="<?php echo $this->param[873] ?>2" value="2" <?php echo (get_option($this->param[873]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[873] ?>2"> 表示する</label>
					</td>
					<td>管理画面左に表示される「ツール」のサブメニュー「利用可能なツール」リンクを削除します。</td>
				</tr>
				<tr>
					<th class="nowrap">「インポート」サブメニューの削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[874] ?>" id="<?php echo $this->param[874] ?>1" value="1" <?php echo (get_option($this->param[874]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[874] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[874] ?>" id="<?php echo $this->param[874] ?>2" value="2" <?php echo (get_option($this->param[874]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[874] ?>2"> 表示する</label>
					</td>
					<td>管理画面左に表示される「ツール」のサブメニュー「インポート」リンクを削除します。</td>
				</tr>
				<tr>
					<th class="nowrap">「エクスポート」サブメニューの削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[875] ?>" id="<?php echo $this->param[875] ?>1" value="1" <?php echo (get_option($this->param[875]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[875] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[875] ?>" id="<?php echo $this->param[875] ?>2" value="2" <?php echo (get_option($this->param[875]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[875] ?>2"> 表示する</label>
					</td>
					<td>管理画面左に表示される「ツール」のサブメニュー「エクスポート」リンクを削除します。</td>
				</tr>
				<tr>
					<th class="nowrap" rowspan="8">設定</th>
					<th class="nowrap">メニューの削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[813] ?>" id="<?php echo $this->param[813] ?>1" value="1" <?php echo (get_option($this->param[813]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[813] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[813] ?>" id="<?php echo $this->param[813] ?>2" value="2" <?php echo (get_option($this->param[813]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[813] ?>2"> 表示する</label>
					</td>
					<td>管理画面左に表示される「設定」メニューリンクを削除する。設定にアクセスできなくなります。</td>
				</tr>
				<tr>
					<th class="nowrap">「一般」サブメニューの削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[876] ?>" id="<?php echo $this->param[876] ?>1" value="1" <?php echo (get_option($this->param[876]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[876] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[876] ?>" id="<?php echo $this->param[876] ?>2" value="2" <?php echo (get_option($this->param[876]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[876] ?>2"> 表示する</label>
					</td>
					<td>管理画面左に表示される「設定」のサブメニュー「一般」リンクを削除します。</td>
				</tr>
				<tr>
					<th class="nowrap">「投稿設定」サブメニューの削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[877] ?>" id="<?php echo $this->param[877] ?>1" value="1" <?php echo (get_option($this->param[877]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[877] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[877] ?>" id="<?php echo $this->param[877] ?>2" value="2" <?php echo (get_option($this->param[877]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[877] ?>2"> 表示する</label>
					</td>
					<td>管理画面左に表示される「設定」のサブメニュー「投稿設定」リンクを削除します。</td>
				</tr>
				<tr>
					<th class="nowrap">「表示設定」サブメニューの削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[878] ?>" id="<?php echo $this->param[878] ?>1" value="1" <?php echo (get_option($this->param[878]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[878] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[878] ?>" id="<?php echo $this->param[878] ?>2" value="2" <?php echo (get_option($this->param[878]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[878] ?>2"> 表示する</label>
					</td>
					<td>管理画面左に表示される「設定」のサブメニュー「表示設定」リンクを削除します。</td>
				</tr>
				<tr>
					<th class="nowrap">「ディスカッション」サブメニューの削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[879] ?>" id="<?php echo $this->param[879] ?>1" value="1" <?php echo (get_option($this->param[879]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[879] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[879] ?>" id="<?php echo $this->param[879] ?>2" value="2" <?php echo (get_option($this->param[879]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[879] ?>2"> 表示する</label>
					</td>
					<td>管理画面左に表示される「設定」のサブメニュー「ディスカッション」リンクを削除します。</td>
				</tr>
				<tr>
					<th class="nowrap">「メディア」サブメニューの削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[880] ?>" id="<?php echo $this->param[880] ?>1" value="1" <?php echo (get_option($this->param[880]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[880] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[880] ?>" id="<?php echo $this->param[880] ?>2" value="2" <?php echo (get_option($this->param[880]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[880] ?>2"> 表示する</label>
					</td>
					<td>管理画面左に表示される「設定」のサブメニュー「メディア」リンクを削除します。</td>
				</tr>
				<tr>
					<th class="nowrap">「プライバシー」サブメニューの削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[881] ?>" id="<?php echo $this->param[881] ?>1" value="1" <?php echo (get_option($this->param[881]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[881] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[881] ?>" id="<?php echo $this->param[881] ?>2" value="2" <?php echo (get_option($this->param[881]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[881] ?>2"> 表示する</label>
					</td>
					<td>管理画面左に表示される「設定」のサブメニュー「プライバシー」リンクを削除します。</td>
				</tr>
				<tr>
					<th class="nowrap">「パーマリンク設定」サブメニューの削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[882] ?>" id="<?php echo $this->param[882] ?>1" value="1" <?php echo (get_option($this->param[882]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[882] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[882] ?>" id="<?php echo $this->param[882] ?>2" value="2" <?php echo (get_option($this->param[882]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[882] ?>2"> 表示する</label>
					</td>
					<td>管理画面左に表示される「設定」のサブメニュー「パーマリンク設定」リンクを削除します。</td>
				</tr>
				<tr>
					<th class="nowrap" colspan="2">「メニュー線3」の削除</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[814] ?>" id="<?php echo $this->param[814] ?>1" value="1" <?php echo (get_option($this->param[814]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[814] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[814] ?>" id="<?php echo $this->param[814] ?>2" value="2" <?php echo (get_option($this->param[814]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[814] ?>2"> 表示する</label>
					</td>
					<td>管理画面左に表示される設定下の区切り線を削除する。</td>
				</tr>
			</table>
		</div>
		<input type="submit" value="設定を保存" class="button-primary">
		</form>
<?php
	}
	// 設定を削除
	function show_post_settings(){
		// ■ 設定の保存
		$keys = array_keys($this->param);
		$this->scf_regist($keys);
		// スタイルシートとJavascriptを出力用キューに入れる
		wp_enqueue_style('scf_css', SCF_PLUGIN_URL.'base.css');
		wp_enqueue_script('scf_js', SCF_PLUGIN_URL.'script.js', array('jquery'));
?>
		<h2><?php echo SCF_NAME ?> <small>（投稿設定）</small></h2>
		<form action="" method="post">
<?php if($this->flg): ?>
		<div class="alert">
			設定を変更しました。
		</div>
<?php endif; ?>
		<div class="tabdiv">
			<table class="scf_table">
				<tr>
					<th colspan="6" class="header">投稿画面設定</th>
				</tr>
				<tr class="head">
					<th class="nowrap" colspan="3">設定名</th>
					<th class="nowrap" colspan="2">設定値</th>
					<th>備考</th>
				</tr>
				<tr>
					<th rowspan="12">投稿画面<br>（post）</th>
					<th rowspan="10" class="del">削除</th>
					<th class="nowrap">カテゴリボックスを削除する</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[501] ?>" id="<?php echo $this->param[501] ?>1" value="1" <?php echo (get_option($this->param[501]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[501] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[501] ?>" id="<?php echo $this->param[501] ?>2" value="2" <?php echo (get_option($this->param[501]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[501] ?>2"> 表示する</label>
					</td>
					<td>投稿画面に表示されているカテゴリ選択ボックスを削除します。</td>
				</tr>
				<tr>
					<th class="nowrap">タグボックスを削除する</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[502] ?>" id="<?php echo $this->param[502] ?>1" value="1" <?php echo (get_option($this->param[502]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[502] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[502] ?>" id="<?php echo $this->param[502] ?>2" value="2" <?php echo (get_option($this->param[502]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[502] ?>2"> 表示する</label>
					</td>
					<td>投稿画面に表示されているタグ選択ボックスを削除します。</td>
				</tr>
				<tr>
					<th class="nowrap">ディスカッションボックスを削除する</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[503] ?>" id="<?php echo $this->param[503] ?>1" value="1" <?php echo (get_option($this->param[503]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[503] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[503] ?>" id="<?php echo $this->param[503] ?>2" value="2" <?php echo (get_option($this->param[503]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[503] ?>2"> 表示する</label>
					</td>
					<td>投稿画面に表示されているディスカッションボックスを削除します。</td>
				</tr>
				<tr>
					<th class="nowrap">トラックバックボックスを削除する</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[504] ?>" id="<?php echo $this->param[504] ?>1" value="1" <?php echo (get_option($this->param[504]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[504] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[504] ?>" id="<?php echo $this->param[504] ?>2" value="2" <?php echo (get_option($this->param[504]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[504] ?>2"> 表示する</label>
					</td>
					<td>投稿画面に表示されているトラックバックボックスを削除します。</td>
				</tr>
				<tr>
					<th class="nowrap">作成者ボックスを削除する</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[505] ?>" id="<?php echo $this->param[505] ?>1" value="1" <?php echo (get_option($this->param[505]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[505] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[505] ?>" id="<?php echo $this->param[505] ?>2" value="2" <?php echo (get_option($this->param[505]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[505] ?>2"> 表示する</label>
					</td>
					<td>投稿画面に表示されている作成者選択ボックスを削除します。</td>
				</tr>
				<tr>
					<th class="nowrap">スラッグボックスを削除する</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[506] ?>" id="<?php echo $this->param[506] ?>1" value="1" <?php echo (get_option($this->param[506]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[506] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[506] ?>" id="<?php echo $this->param[506] ?>2" value="2" <?php echo (get_option($this->param[506]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[506] ?>2"> 表示する</label>
					</td>
					<td>投稿画面に表示されているスラッグボックスを削除します。</td>
				</tr>
				<tr>
					<th class="nowrap">抜粋ボックスを削除する</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[507] ?>" id="<?php echo $this->param[507] ?>1" value="1" <?php echo (get_option($this->param[507]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[507] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[507] ?>" id="<?php echo $this->param[507] ?>2" value="2" <?php echo (get_option($this->param[507]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[507] ?>2"> 表示する</label>
					</td>
					<td>投稿画面に表示されている抜粋ボックスを削除します。</td>
				</tr>
				<tr>
					<th class="nowrap">カスタムフィールドボックスを削除する</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[508] ?>" id="<?php echo $this->param[508] ?>1" value="1" <?php echo (get_option($this->param[508]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[508] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[508] ?>" id="<?php echo $this->param[508] ?>2" value="2" <?php echo (get_option($this->param[508]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[508] ?>2"> 表示する</label>
					</td>
					<td>投稿画面に表示されているカスタムフィールドボックスを削除します。</td>
				</tr>
				<tr>
					<th class="nowrap">リビジョンボックスを削除する</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[509] ?>" id="<?php echo $this->param[509] ?>1" value="1" <?php echo (get_option($this->param[509]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[509] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[509] ?>" id="<?php echo $this->param[509] ?>2" value="2" <?php echo (get_option($this->param[509]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[509] ?>2"> 表示する</label>
					</td>
					<td>投稿画面に表示されているリビジョンボックスを削除します。</td>
				</tr>
				<tr>
					<th class="nowrap">コメントボックスを削除する</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[510] ?>" id="<?php echo $this->param[510] ?>1" value="1" <?php echo (get_option($this->param[510]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[510] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[510] ?>" id="<?php echo $this->param[510] ?>2" value="2" <?php echo (get_option($this->param[510]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[510] ?>2"> 表示する</label>
					</td>
					<td>投稿画面に表示されているコメントボックスを削除します。</td>
				</tr>
				<tr>
					<th rowspan="2" class="add">追加</th>
					<th class="nowrap">アイキャッチボックスを追加する</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[531] ?>" id="<?php echo $this->param[531] ?>1" value="1" <?php echo (get_option($this->param[531]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[531] ?>1"> 追加する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[531] ?>" id="<?php echo $this->param[531] ?>2" value="2" <?php echo (get_option($this->param[531]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[531] ?>2"> 追加しない</label>
					</td>
					<td>投稿画面にアイキャッチを登録するボックスを追加します。</td>
				</tr>
				<tr>
					<th class="nowrap">ページ属性を追加する</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[532] ?>" id="<?php echo $this->param[532] ?>1" value="1" <?php echo (get_option($this->param[532]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[532] ?>1"> 追加する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[532] ?>" id="<?php echo $this->param[532] ?>2" value="2" <?php echo (get_option($this->param[532]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[532] ?>2"> 追加しない</label>
					</td>
					<td>投稿画面にページ属性ボックスを追加します。投稿のページ属性では、順序のみ設定できます。</td>
				</tr>
				<tr class="head">
					<th class="nowrap" colspan="3">設定名</th>
					<th class="nowrap" colspan="2">設定値</th>
					<th>備考</th>
				</tr>
				<tr>
					<th rowspan="8">固定ページ画面<br>（page）</th>
					<th rowspan="6" class="del">削除</th>
					<th class="nowrap">ディスカッションボックスを削除する</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[551] ?>" id="<?php echo $this->param[551] ?>1" value="1" <?php echo (get_option($this->param[551]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[551] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[551] ?>" id="<?php echo $this->param[551] ?>2" value="2" <?php echo (get_option($this->param[551]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[551] ?>2"> 表示する</label>
					</td>
					<td>固定ページ画面に表示されているディスカッションボックスを削除します。</td>
				</tr>
				<tr>
					<th class="nowrap">作成者ボックスを削除する</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[552] ?>" id="<?php echo $this->param[552] ?>1" value="1" <?php echo (get_option($this->param[552]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[552] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[552] ?>" id="<?php echo $this->param[552] ?>2" value="2" <?php echo (get_option($this->param[552]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[552] ?>2"> 表示する</label>
					</td>
					<td>固定ページ画面に表示されている作成者選択ボックスを削除します。</td>
				</tr>
				<tr>
					<th class="nowrap">スラッグボックスを削除する</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[553] ?>" id="<?php echo $this->param[553] ?>1" value="1" <?php echo (get_option($this->param[553]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[553] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[553] ?>" id="<?php echo $this->param[553] ?>2" value="2" <?php echo (get_option($this->param[553]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[553] ?>2"> 表示する</label>
					</td>
					<td>固定ページ画面に表示されているスラッグボックスを削除します。</td>
				</tr>
				<tr>
					<th class="nowrap">カスタムフィールドボックスを削除する</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[554] ?>" id="<?php echo $this->param[554] ?>1" value="1" <?php echo (get_option($this->param[554]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[554] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[554] ?>" id="<?php echo $this->param[554] ?>2" value="2" <?php echo (get_option($this->param[554]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[554] ?>2"> 表示する</label>
					</td>
					<td>固定ページ画面に表示されているカスタムフィールドボックスを削除します。</td>
				</tr>
				<tr>
					<th class="nowrap">リビジョンボックスを削除する</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[555] ?>" id="<?php echo $this->param[555] ?>1" value="1" <?php echo (get_option($this->param[555]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[555] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[555] ?>" id="<?php echo $this->param[555] ?>2" value="2" <?php echo (get_option($this->param[555]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[555] ?>2"> 表示する</label>
					</td>
					<td>固定ページ画面に表示されているリビジョンボックスを削除します。</td>
				</tr>
				<tr>
					<th class="nowrap">コメントボックスを削除する</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[556] ?>" id="<?php echo $this->param[556] ?>1" value="1" <?php echo (get_option($this->param[556]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[556] ?>1"> 削除する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[556] ?>" id="<?php echo $this->param[556] ?>2" value="2" <?php echo (get_option($this->param[556]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[556] ?>2"> 表示する</label>
					</td>
					<td>固定ページ画面に表示されているコメントボックスを削除します。</td>
				</tr>
				<tr>
					<th rowspan="2" class="add">追加</th>
					<th class="nowrap">アイキャッチボックスを追加する</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[581] ?>" id="<?php echo $this->param[581] ?>1" value="1" <?php echo (get_option($this->param[581]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[581] ?>1"> 追加する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[581] ?>" id="<?php echo $this->param[581] ?>2" value="2" <?php echo (get_option($this->param[581]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[581] ?>2"> 追加しない</label>
					</td>
					<td>固定ページ画面にアイキャッチを登録するボックスを追加します。</td>
				</tr>
				<tr>
					<th class="nowrap">抜粋を追加する</th>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[582] ?>" id="<?php echo $this->param[582] ?>1" value="1" <?php echo (get_option($this->param[582]) == 1) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[582] ?>1"> 追加する</label>
					</td>
					<td class="nowrap">
						<input type="radio" name="<?php echo $this->param[582] ?>" id="<?php echo $this->param[582] ?>2" value="2" <?php echo (get_option($this->param[582]) == 2) ? 'checked' : '' ?>>
						<label for="<?php echo $this->param[582] ?>2"> 追加しない</label>
					</td>
					<td>固定ページ画面に抜粋ボックスを追加します。</td>
				</tr>
			</table>
		</div>
		<input type="submit" value="設定を保存" class="button-primary">
		</form>
<?php	}
	// 設定を削除
	function show_setting_clear(){
		// スタイルシートとJavascriptを出力用キューに入れる
		wp_enqueue_style('scf_css', SCF_PLUGIN_URL.'base.css');
		wp_enqueue_script('scf_js', SCF_PLUGIN_URL.'script.js', array('jquery'));
		// ■ 設定の削除
		if($_POST[$this->param[999]]){
			foreach($this->param as $option_name){
				delete_option($option_name);
				if(!$this->flg) $this->flg = true;
			}
		}
?>
		<h2><?php echo SCF_NAME ?> <small>（設定の初期化）</small></h2>
		<form action="" method="post">
<?php if($this->flg): ?>
		<div class="alert">
			設定を変更しました。
		</div>
<?php endif; ?>
		<div class="tabdiv">
			<p>「wp_options」テーブルに保存されている設定データを全て削除します。</p>
			<p>チェックを付けて「設定を初期化する」をクリックしてください。</p>
			<p><input type="checkbox" name="<?php echo $this->param[999] ?>" id="<?php echo $this->param[999] ?>" value="1"><label for="<?php echo $this->param[999] ?>"> 設定を初期化することを了承します</label></p>
		</div>
		<input type="submit" value="設定を初期化する" class="button-primary">
		</form>
<?php
	}
	// ヘルプ画面表示
	function show_help(){
		// スタイルシートとJavascriptを出力用キューに入れる
		wp_enqueue_style('scf_css', SCF_PLUGIN_URL.'base.css');
		wp_enqueue_script('scf_js', SCF_PLUGIN_URL.'script.js', array('jquery'));
		// 設定済み項目の抽出
		$configured = array();
		foreach($this->param as $value){
			if(get_option($value, false)) $configured[] = $value;
		}
?>
		<h2><?php echo SCF_NAME ?> <small>（テーマの「functions.php」をクリーンに保つためのプラグイン）</small></h2>

		<div class="tabdiv">
			<h3><?php echo SCF_NAME ?>プラグインについて</h3>
			<p>このプラグインは、テーマを作成する際に「functions.php」に記述する項目で、よく使う設定のみを簡単に設定できるようにしたシンプルなプラグインです。</p>
			<h3><?php echo SCF_NAME ?>プラグインの構造</h3>
			<p>このプラグインは、「styler_clean_functions.php」ファイルのみ（CSSとJSファイルはあります）で構成されています。WordPressは初心者だけど、PHPはちょっとわかるよって人は、中を見てもらうとプラグインの作り方などの参考になると思います。<br>
			実際に私もいろいろなサイトやプラグインを参考にこのプラグインを作成しました。これからプラグインを作ってみようかなと思われる方の一助になれば幸いです。</p>
			<h3><?php echo SCF_NAME ?>プラグインのデータ</h3>
			<p>このプラグインでは、設定を保存するために「wp_options」テーブルにデータを保存しています。（インストール時のテーブル接頭辞が「wp_」の場合。）</p>
			<p>現在、<?php array_pop($this->param);echo count($this->param) ?>個の設定があり、設定中の項目は<strong class="attention"><?php echo count($configured) ?>個</strong>あります。以下が「wp_options」テーブルに保存されているデータです。テーブルに存在しないものはまだ設定されていない項目です。</p>
			<p>option_name：（設定中の項目は<strong class="attention">強調表示</strong>されています。）<br></p>
			<ul>
			<?php foreach($this->param as $value): ?>
				<li>
					<?php
						if(in_array($value, $configured)){
							echo '<strong class="attention">'.$value.'</strong>';
						}else{
							echo $value;
						}
					?>
				</li>
			<?php endforeach; ?>
			</ul>
			<p>これ以外に一切データを保存していませんので、手動で設定を削除される方は該当データを削除してください。ここで言っていることが信じられない方は、このプラグインを隅々まで解析してみてください。</p>
			<h3><?php echo SCF_NAME ?>プラグインのデータ移行</h3>
			<p>「wp_options」テーブルだけに設定が存在しますので、エクスポートしたデータを新しいサイトでインポートして、このプラグインを有効化するだけで移行できます。</p>
		</div>
<?php
	}
	// 設定を適用
	function run(){
		// ■ <head>内設定
			// すべての設定項目を追加
			if(get_option($this->param[2]) == 1){
				function add_all_settings() {
					add_submenu_page(__FILE__, SCF_NAME, __('All Settings'), 'administrator', 'options.php');
				}
				add_action('admin_menu', 'add_all_settings', 9999);
			}
			// wp_generatorの削除
			if(get_option($this->param[20]) == 1){
				remove_action('wp_head', 'wp_generator');
			}
			// wlwmanifest_linkの削除
			if(get_option($this->param[21]) == 1){
				remove_action('wp_head', 'wlwmanifest_link');
			}
			// rsd_linkの削除
			if(get_option($this->param[22]) == 1){
				remove_action('wp_head', 'rsd_link');
			}
			// rsd_linkの削除
			if(get_option($this->param[23]) == 1){
				remove_action('wp_head', 'feed_links_extra');
			}
			// rsd_linkの削除
			if(get_option($this->param[24]) == 1){
				remove_action('wp_head', 'feed_links');
			}
			// rsd_linkの削除
			if(get_option($this->param[25]) == 1){
				remove_action('wp_head', 'index_rel_link');
			}
			// rsd_linkの削除
			if(get_option($this->param[26]) == 1){
				remove_action('wp_head', 'parent_post_rel_link');
			}
			// rsd_linkの削除
			if(get_option($this->param[27]) == 1){
				remove_action('wp_head', 'start_post_rel_link');
			}
			// rsd_linkの削除
			if(get_option($this->param[28]) == 1){
				remove_action('wp_head', 'adjacent_posts_rel_link_wp_head');
			}
			// shortlinkの削除
			if(get_option($this->param[29]) == 1){
				remove_action('wp_head', 'wp_shortlink_wp_head');
			}
		// ■ 機能設定
			// セルフピンバックの停止
			if(get_option($this->param[101]) == 1){
				function no_self_ping(&$links){
					$home = home_url();
					foreach($links as $l => $link)
						if(0 === strpos($link, $home)) unset($links[$l]);
				}
				add_action('pre_ping', 'no_self_ping', 9999);
			}
			// ログイン時のロゴ削除
			if(get_option($this->param[102]) == 1){
				function remove_login_logo() {
					echo '<style type="text/css">h1 { display: none !important; }</style>';
				}
				add_action('login_head', 'remove_login_logo', 9999);
			}
			// 更新通知の停止
			if(get_option($this->param[103]) == 1){
				function stop_notice() {
					remove_action( 'admin_notices', 'update_nag');
				}
				add_action('admin_menu','stop_notice', 9999);
			}
			// 表で管理バーを非表示
			if(get_option($this->param[104]) == 1){
				add_filter('show_admin_bar', '__return_false');
			}
			// パンくずリストを使用可能にする
			if(get_option($this->param[105]) == 1){
				// パンくずリスト
				function breadcrumb(){
					global $post;
					$str ='';
					if(!is_home()&&!is_admin()){ /* !is_admin は管理ページ以外という条件分岐 */
						$str.= '<div id="breadcrumb" class="clearfix">';
						$str.= '<ul>';
						$str.= '<li><a href="'. home_url() .'/">HOME</a></li>';
						$str.= '<li>&gt;</li>';
		
						if(is_search()){
							$str.='<li>「'. get_search_query() .'」で検索した結果</li>';
						} elseif(is_tag()){
							$str.='<li>タグ : '. single_tag_title( '' , false ). '</li>';
						} elseif(is_404()){
							$str.='<li>404 Not found</li>';
						} elseif(is_date()){
							if(get_query_var('day') != 0){
								$str.='<li><a href="'. get_year_link(get_query_var('year')). '">' . get_query_var('year'). '年</a></li>';
								$str.='<li>&gt;</li>';
								$str.='<li><a href="'. get_month_link(get_query_var('year'), get_query_var('monthnum')). '">'. get_query_var('monthnum') .'月</a></li>';
								$str.='<li>&gt;</li>';
								$str.='<li>'. get_query_var('day'). '日</li>';
							} elseif(get_query_var('monthnum') != 0){
								$str.='<li><a href="'. get_year_link(get_query_var('year')) .'">'. get_query_var('year') .'年</a></li>';
								$str.='<li>&gt;</li>';
								$str.='<li>'. get_query_var('monthnum'). '月</li>';
							} else {
								$str.='<li>'. get_query_var('year') .'年</li>';
							}
						} elseif(is_category()) {
							$cat = get_queried_object();
							if($cat -> parent != 0){
								$ancestors = array_reverse(get_ancestors( $cat -> cat_ID, 'category' ));
								foreach($ancestors as $ancestor){
									$str.='<li><a href="'. get_category_link($ancestor) .'">'. get_cat_name($ancestor) .'</a></li>';
									$str.='<li>&gt;</li>';
								}
							}
							$str.='<li>'. $cat -> name . '</li>';
						} elseif(is_author()){
							$str .='<li>投稿者 : '. get_the_author_meta('display_name', get_query_var('author')).'</li>';
						} elseif(is_page()){
							if($post -> post_parent != 0 ){
								$ancestors = array_reverse(get_post_ancestors( $post->ID ));
								foreach($ancestors as $ancestor){
									$str.='<li><a href="'. get_permalink($ancestor).'">'. get_the_title($ancestor) .'</a></li>';
									$str.='<li>&gt;</li>';
								}
							}
							$str.= '<li>'. $post -> post_title .'</li>';
			
						} elseif(is_attachment()){
							if($post -> post_parent != 0 ){
								$str.= '<li><a href="'. get_permalink($post -> post_parent).'">'. get_the_title($post -> post_parent) .'</a></li>';
								$str.='<li>&gt;</li>';
							}
							$str.= '<li>' . $post -> post_title . '</li>';
						} elseif(is_single()){
							$categories = get_the_category($post->ID);
							$cat = $categories[0];
							if($cat -> parent != 0){
								$ancestors = array_reverse(get_ancestors( $cat -> cat_ID, 'category' ));
								foreach($ancestors as $ancestor){
									$str.='<li><a href="'. get_category_link($ancestor).'">'. get_cat_name($ancestor). '</a></li>';
									$str.='<li>&gt;</li>';
								}
							}
							$str.='<li><a href="'. get_category_link($cat -> term_id). '">'. $cat-> cat_name . '</a></li>';
							$str.='<li>&gt;</li>';
							$str.= '<li>'. $post -> post_title .'</li>';
						} else{
							$str.='<li>'. wp_title('', false) .'</li>';
						}
						$str.='</ul>';
						$str.='</div>';
					}
					echo $str;
				}
				
				add_shortcode('pankuzu', 'breadcrumb');
			}
			// Pタグ挿入を抑止
			if(get_option($this->param[106]) == 1){
				remove_filter('the_content', 'wpautop');
			}
		// ■ 管理画面・管理バー設定
			// 管理バーロゴの削除
			if(get_option($this->param[201]) == 1){
				function remove_admin_bar_logo( $wp_admin_bar ) {
					$wp_admin_bar->remove_menu('wp-logo');
				}
				add_action('admin_bar_menu', 'remove_admin_bar_logo', 9999);
			}
			// マイアカウントの削除
			if(get_option($this->param[202]) == 1){
				function remove_admin_bar_myaccount( $wp_admin_bar ) {
					$wp_admin_bar->remove_menu('my-account');
				}
				add_action('admin_bar_menu', 'remove_admin_bar_myaccount', 9999);
			}
			// ログアウトの追加
			if(get_option($this->param[203]) == 1){
				function add_logout_in_admin_bar() {
					global $wp_admin_bar;
					$wp_admin_bar->add_menu(array(
						'id' => 'new_item_in_admin_bar',
						'title' => __('ログアウト'),
						'href' => wp_logout_url()
					));
				}
				add_action('wp_before_admin_bar_render', 'add_logout_in_admin_bar', 9999);
			}
			// ヘルプタブの非表示
			if(get_option($this->param[204]) == 1){
				function remove_helptab(){
					echo '<style type="text/css">#contextual-help-link-wrap{display:none;}</style>';
				}
				add_action('admin_head', 'remove_helptab', 9999);
			}
			// 表示オプションタブの非表示
			if(get_option($this->param[205]) == 1){
				function my_admin_print_styles(){
					echo '<style type="text/css">#screen-options-link-wrap{display:none;}</style>';
				}
				add_action('admin_print_styles', 'my_admin_print_styles', 9999);
			}
			// サイト名 -> サイトを表示の削除
			if(get_option($this->param[206]) == 1){
				function remove_editor_bar_view_site( $wp_editor_bar ) {
					$wp_editor_bar->remove_menu('view-site');
				}
				add_action('admin_bar_menu', 'remove_editor_bar_view_site', 9999);
			}
			// 新規の削除
			if(get_option($this->param[207]) == 1){
				function remove_editor_bar_new_content( $wp_editor_bar ) {
					$wp_editor_bar->remove_node('new-content');
				}
				add_action('admin_bar_menu', 'remove_editor_bar_new_content', 9999);
			}
			// 新規 -> 投稿削除
			if(get_option($this->param[208]) == 1){
				function remove_editor_bar_new_post( $wp_editor_bar ) {
					$wp_editor_bar->remove_node('new-post');
				}
				add_action('admin_bar_menu', 'remove_editor_bar_new_post', 9999);
			}
			// 新規 -> メディアの削除
			if(get_option($this->param[209]) == 1){
				function remove_editor_bar_new_media( $wp_editor_bar ) {
					$wp_editor_bar->remove_node('new-media');
				}
				add_action('admin_bar_menu', 'remove_editor_bar_new_media', 9999);
			}
			// 新規 -> リンクの削除
			if(get_option($this->param[210]) == 1){
				function remove_editor_bar_new_link( $wp_editor_bar ) {
					$wp_editor_bar->remove_node('new-link');
				}
				add_action('admin_bar_menu', 'remove_editor_bar_new_link', 9999);
			}
			// 新規 -> 固定ページの削除
			if(get_option($this->param[211]) == 1){
				function remove_editor_bar_new_page( $wp_editor_bar ) {
					$wp_editor_bar->remove_node('new-page');
				}
				add_action('admin_bar_menu', 'remove_editor_bar_new_page', 9999);
			}
			// 新規 -> ユーザーの削除
			if(get_option($this->param[212]) == 1){
				function remove_editor_bar_new_user( $wp_editor_bar ) {
					$wp_editor_bar->remove_node('new-user');
				}
				add_action('admin_bar_menu', 'remove_editor_bar_new_user', 9999);
			}
			// コメントの削除
			if(get_option($this->param[213]) == 1){
				function remove_editor_bar_comment( $wp_editor_bar ) {
					$wp_editor_bar->remove_node('comments');
				}
				add_action('admin_bar_menu', 'remove_editor_bar_comment', 9999);
			}
		// ■ 管理画面・フッター設定
			// フッター文字列
			if(get_option($this->param[301]) == 1){
				function remove_footer_text () {
					echo "";
				}
				add_filter('admin_footer_text', 'remove_footer_text');
			}
			// フッターバージョン
			if(get_option($this->param[302]) == 1){
				function remove_footer_version(){
					echo '<style type="text/css">#footer-upgrade{display:none;}</style>';
				}
				add_action('admin_footer', 'remove_footer_version', 9999);
			}
		// ■ 管理画面・ダッシュボード設定
			// 最近のコメント
			if(get_option($this->param[401]) == 1){
				function remove_dashboard_comments() {
					global $wp_meta_boxes;
					unset($wp_meta_boxes['dashboard']['normal']['core']['dashboard_recent_comments']);
				}
				add_action('wp_dashboard_setup', 'remove_dashboard_comments', 9999);
			}
			// プラグイン
			if(get_option($this->param[402]) == 1){
				function remove_dashboard_plugins() {
					global $wp_meta_boxes;
					unset($wp_meta_boxes['dashboard']['normal']['core']['dashboard_plugins']);
				}
				add_action('wp_dashboard_setup', 'remove_dashboard_plugins', 9999);
			}
			// クイック投稿
			if(get_option($this->param[403]) == 1){
				function remove_dashboard_quickpress() {
					global $wp_meta_boxes;
					unset($wp_meta_boxes['dashboard']['side']['core']['dashboard_quick_press']);
				}
				add_action('wp_dashboard_setup', 'remove_dashboard_quickpress', 9999);
			}
			// 最近の下書き
			if(get_option($this->param[404]) == 1){
				function remove_dashboard_recentdrafts() {
					global $wp_meta_boxes;
					unset($wp_meta_boxes['dashboard']['side']['core']['dashboard_recent_drafts']);
				}
				add_action('wp_dashboard_setup', 'remove_dashboard_recentdrafts', 9999);
			}
			// WordPressブログ
			if(get_option($this->param[405]) == 1){
				function remove_dashboard_primary() {
					global $wp_meta_boxes;
					unset($wp_meta_boxes['dashboard']['side']['core']['dashboard_primary']);
				}
				add_action('wp_dashboard_setup', 'remove_dashboard_primary', 9999);
			}
			// WordPressフォーラム
			if(get_option($this->param[406]) == 1){
				function remove_dashboard_secondary() {
					global $wp_meta_boxes;
					unset($wp_meta_boxes['dashboard']['side']['core']['dashboard_secondary']);
				}
				add_action('wp_dashboard_setup', 'remove_dashboard_secondary', 9999);
			}
			// 現在の状況
			if(get_option($this->param[407]) == 1){
				function remove_dashboard_rightnow() {
					global $wp_meta_boxes;
					unset($wp_meta_boxes['dashboard']['normal']['core']['dashboard_right_now']);
				}
				add_action('wp_dashboard_setup', 'remove_dashboard_rightnow', 9999);
			}
			// 被リンク
			if(get_option($this->param[408]) == 1){
				function remove_dashboard_incominglinks() {
					global $wp_meta_boxes;
					unset($wp_meta_boxes['dashboard']['normal']['core']['dashboard_incoming_links']);
				}
				add_action('wp_dashboard_setup', 'remove_dashboard_incominglinks', 9999);
			}
			// ダッシュボードのようこその非表示
			if(get_option($this->param[409]) == 1){
				function hide_welcome_panel() {
					$user_id = get_current_user_id();
					if (1 == get_user_meta($user_id, 'show_welcome_panel', true))
						update_user_meta($user_id, 'show_welcome_panel', 0);
				}
				add_action('load-index.php', 'hide_welcome_panel', 9999);
			}
		// ■ 管理画面・投稿画面設定
			// カテゴリボックス削除
			if(get_option($this->param[501]) == 1){
				function remove_post_category_metabox() {
					remove_meta_box('categorydiv','post','normal');
				}
				add_action('admin_menu','remove_post_category_metabox', 9999);
			}
			// タグボックス削除
			if(get_option($this->param[502]) == 1){
				function remove_post_tag_metabox() {
					remove_meta_box('tagsdiv-post_tag','post','normal');
				}
				add_action('admin_menu','remove_post_tag_metabox', 9999);
			}
			// ディスカッションボックス削除
			if(get_option($this->param[503]) == 1){
				function remove_post_discussion_metabox() {
					remove_meta_box('commentstatusdiv','post','normal');
				}
				add_action('admin_menu','remove_post_discussion_metabox', 9999);
			}
			// トラックバックボックス削除
			if(get_option($this->param[504]) == 1){
				function remove_post_trackback_metabox() {
					remove_meta_box('trackbacksdiv','post','normal');
				}
				add_action('admin_menu','remove_post_trackback_metabox', 9999);
			}
			// 作成者ボックス削除
			if(get_option($this->param[505]) == 1){
				function remove_post_author_metabox() {
					remove_meta_box('authordiv','post','normal');
				}
				add_action('admin_menu','remove_post_author_metabox', 9999);
			}
			// スラッグボックス削除
			if(get_option($this->param[506]) == 1){
				function remove_post_slug_metabox() {
					remove_meta_box('slugdiv','post','normal');
				}
				add_action('admin_menu','remove_post_slug_metabox', 9999);
			}
			// 抜粋ボックス削除
			if(get_option($this->param[507]) == 1){
				function remove_post_excerpt_metabox() {
					remove_meta_box('postexcerpt','post','normal');
				}
				add_action('admin_menu','remove_post_excerpt_metabox', 9999);
			}
			// カスタムフィールドボックス削除
			if(get_option($this->param[508]) == 1){
				function remove_post_custom_metabox() {
					remove_meta_box('postcustom','post','normal');
				}
				add_action('admin_menu','remove_post_custom_metabox', 9999);
			}
			// リビジョンボックス削除
			if(get_option($this->param[509]) == 1){
				function remove_post_revision_metabox() {
					remove_meta_box('revisionsdiv','post','normal');
				}
				add_action('admin_menu','remove_post_revision_metabox', 9999);
			}
			// コメントボックス削除
			if(get_option($this->param[510]) == 1){
				function remove_post_comment_metabox() {
					remove_meta_box('commentsdiv','post','normal');
				}
				add_action('admin_menu','remove_post_comment_metabox', 9999);
			}
			// アイキャッチ追加
			if(get_option($this->param[531]) == 1){
				add_theme_support('post-thumbnails', array('post'));
			}
			// ページ属性追加
			if(get_option($this->param[532]) == 1){
				 add_post_type_support ('post', 'page-attributes');
			}
			// ディスカッションボックス削除
			if(get_option($this->param[551]) == 1){
				function remove_page_discussion_metabox() {
					remove_meta_box('commentstatusdiv','page','normal');
				}
				add_action('admin_menu','remove_page_discussion_metabox', 9999);
			}
			// 作成者ボックス削除
			if(get_option($this->param[552]) == 1){
				function remove_page_author_metabox() {
					remove_meta_box('authordiv','page','normal');
				}
				add_action('admin_menu','remove_page_author_metabox', 9999);
			}
			// スラッグボックス削除
			if(get_option($this->param[553]) == 1){
				function remove_page_slug_metabox() {
					remove_meta_box('slugdiv','page','normal');
				}
				add_action('admin_menu','remove_page_slug_metabox', 9999);
			}
			// カスタムフィールドボックス削除
			if(get_option($this->param[554]) == 1){
				function remove_page_custom_metabox() {
					remove_meta_box('postcustom','page','normal');
				}
				add_action('admin_menu','remove_page_custom_metabox', 9999);
			}
			// リビジョンボックス削除
			if(get_option($this->param[555]) == 1){
				function remove_page_revision_metabox() {
					remove_meta_box('revisionsdiv','page','normal');
				}
				add_action('admin_menu','remove_page_revision_metabox', 9999);
			}
			// コメントボックス削除
			if(get_option($this->param[556]) == 1){
				function remove_page_comment_metabox() {
					remove_meta_box('commentsdiv','page','normal');
				}
				add_action('admin_menu','remove_page_comment_metabox', 9999);
			}
			// アイキャッチ追加
			if(get_option($this->param[581]) == 1){
				add_theme_support('post-thumbnails', array('page'));
			}
			// 抜粋追加
			if(get_option($this->param[582]) == 1){
				add_post_type_support('page', 'excerpt');
			}
		// ■ プロフィール設定
			// AIM削除
			if(get_option($this->param[601]) == 1){
				function remove_profile_aim( $contactmethods ) {
					unset($contactmethods['aim']);
					return $contactmethods;
				}
				add_filter('user_contactmethods','remove_profile_aim');
			}
			// Yahoo IM削除
			if(get_option($this->param[602]) == 1){
				function remove_profile_yim( $contactmethods ) {
					unset($contactmethods['yim']);
					return $contactmethods;
				}
				add_filter('user_contactmethods','remove_profile_yim');
			}
			// Jabber / Google talk削除
			if(get_option($this->param[603]) == 1){
				function remove_profile_jabber( $contactmethods ) {
					unset($contactmethods['jabber']);
					return $contactmethods;
				}
				add_filter('user_contactmethods','remove_profile_jabber');
			}
		// ■ 管理画面・その他設定
			// ダッシュボードメニュー削除
			if(get_option($this->param[801]) == 1){
				function remove_dashboard_menu () {
					global $menu;
					unset($menu[2]);
				}
				add_action('admin_menu', 'remove_dashboard_menu', 9999);
			}
			// メニューの線1削除
			if(get_option($this->param[802]) == 1){
				function remove_border1_menu () {
					global $menu;
					unset($menu[4]);
				}
				add_action('admin_menu', 'remove_border1_menu', 9999);
			}
			// 投稿メニュー削除
			if(get_option($this->param[803]) == 1){
				function remove_post_menu () {
					global $menu;
					unset($menu[5]);
				}
				add_action('admin_menu', 'remove_post_menu', 9999);
			}
			// メディアメニュー削除
			if(get_option($this->param[804]) == 1){
				function remove_media_menu () {
					global $menu;
					unset($menu[10]);
				}
				add_action('admin_menu', 'remove_media_menu', 9999);
			}
			// リンクメニュー削除
			if(get_option($this->param[805]) == 1){
				function remove_link_menu () {
					global $menu;
					unset($menu[15]);
				}
				add_action('admin_menu', 'remove_link_menu', 9999);
			}
			// ページメニュー削除
			if(get_option($this->param[806]) == 1){
				function remove_page_menu () {
					global $menu;
					unset($menu[20]);
				}
				add_action('admin_menu', 'remove_page_menu', 9999);
			}
			// コメントメニュー削除
			if(get_option($this->param[807]) == 1){
				function remove_comment_menu () {
					global $menu;
					unset($menu[25]);
				}
				add_action('admin_menu', 'remove_comment_menu', 9999);
			}
			// メニューの線2削除
			if(get_option($this->param[808]) == 1){
				function remove_border2_menu () {
					global $menu;
					unset($menu[59]);
				}
				add_action('admin_menu', 'remove_border2_menu', 9999);
			}
			// 外観メニュー削除
			if(get_option($this->param[809]) == 1){
				function remove_theme_menu () {
					global $menu;
					unset($menu[60]);
				}
				add_action('admin_menu', 'remove_theme_menu', 9999);
			}
			// プラグインメニュー削除
			if(get_option($this->param[810]) == 1){
				function remove_plugin_menu () {
					global $menu;
					unset($menu[65]);
				}
				add_action('admin_menu', 'remove_plugin_menu', 9999);
			}
			// ユーザーメニュー削除
			if(get_option($this->param[811]) == 1){
				function remove_user_menu () {
					global $menu;
					unset($menu[70]);
				}
				add_action('admin_menu', 'remove_user_menu', 9999);
			}
			// ツールメニュー削除
			if(get_option($this->param[812]) == 1){
				function remove_tool_menu () {
					global $menu;
					unset($menu[75]);
				}
				add_action('admin_menu', 'remove_tool_menu', 9999);
			}
			// 設定メニュー削除
			if(get_option($this->param[813]) == 1){
				function remove_setting_menu () {
					global $menu;
					unset($menu[80]);
				}
				add_action('admin_menu', 'remove_setting_menu', 9999);
			}
			// メニューの線3削除
			if(get_option($this->param[814]) == 1){
				function remove_border3_menu () {
					global $menu;
					unset($menu[99]);
				}
				add_action('admin_menu', 'remove_border3_menu', 9999);
			}
			// ダッシュボード→ホーム
			if(get_option($this->param[851]) == 1){
				function remove_db_home_submenu() {
					remove_submenu_page('index.php', 'index.php');
				}
				add_action('admin_menu', 'remove_db_home_submenu', 9999);
			}
			// ダッシュボード→更新
			if(get_option($this->param[852]) == 1){
				function remove_db_update_submenu() {
					remove_submenu_page('index.php', 'update-core.php');
				}
				add_action('admin_menu', 'remove_db_update_submenu', 9999);
			}
			// 投稿→投稿一覧
			if(get_option($this->param[853]) == 1){
				function remove_post_list_submenu() {
					remove_submenu_page('edit.php', 'edit.php');
				}
				add_action('admin_menu', 'remove_post_list_submenu', 9999);
			}
			// 投稿→新規追加
			if(get_option($this->param[854]) == 1){
				function remove_post_add_submenu() {
					remove_submenu_page('edit.php', 'post-new.php');
				}
				add_action('admin_menu', 'remove_post_add_submenu', 9999);
			}
			// 投稿→カテゴリー
			if(get_option($this->param[855]) == 1){
				function remove_post_category_submenu() {
					remove_submenu_page('edit.php', 'edit-tags.php?taxonomy=category');
				}
				add_action('admin_menu', 'remove_post_category_submenu', 9999);
			}
			// 投稿→タグ
			if(get_option($this->param[856]) == 1){
				function remove_post_tag_submenu() {
					remove_submenu_page('edit.php', 'edit-tags.php?taxonomy=post_tag');
				}
				add_action('admin_menu', 'remove_post_tag_submenu', 9999);
			}
			// メディア→ライブラリ
			if(get_option($this->param[857]) == 1){
				function remove_media_list_submenu() {
					remove_submenu_page('upload.php', 'upload.php');
				}
				add_action('admin_menu', 'remove_media_list_submenu', 9999);
			}
			// メディア→新規追加
			if(get_option($this->param[858]) == 1){
				function remove_media_add_submenu() {
					remove_submenu_page('upload.php', 'media-new.php');
				}
				add_action('admin_menu', 'remove_media_add_submenu', 9999);
			}
			// リンク→すべてのリンク
			if(get_option($this->param[859]) == 1){
				function remove_link_list_submenu() {
					remove_submenu_page('link-manager.php', 'link-manager.php');
				}
				add_action('admin_menu', 'remove_link_list_submenu', 9999);
			}
			// リンク→新規追加
			if(get_option($this->param[860]) == 1){
				function remove_link_add_submenu() {
					remove_submenu_page('link-manager.php', 'link-add.php');
				}
				add_action('admin_menu', 'remove_link_add_submenu', 9999);
			}
			// リンク→リンクカテゴリ
			if(get_option($this->param[861]) == 1){
				function remove_link_category_submenu() {
					remove_submenu_page('link-manager.php', 'edit-tags.php?taxonomy=link_category');
				}
				add_action('admin_menu', 'remove_link_category_submenu', 9999);
			}
			// 固定ページ→固定ぺージ一覧
			if(get_option($this->param[862]) == 1){
				function remove_page_list_submenu() {
					remove_submenu_page('edit.php?post_type=page', 'edit.php?post_type=page');
				}
				add_action('admin_menu', 'remove_page_list_submenu', 9999);
			}
			// 固定ページ→新規追加
			if(get_option($this->param[863]) == 1){
				function remove_page_add_submenu() {
					remove_submenu_page('edit.php?post_type=page', 'post-new.php?post_type=page');
				}
				add_action('admin_menu', 'remove_page_add_submenu', 9999);
			}
			// 外観→テーマ
			if(get_option($this->param[864]) == 1){
				function remove_theme_list_submenu() {
					remove_submenu_page('themes.php', 'themes.php');
				}
				add_action('admin_menu', 'remove_theme_list_submenu', 9999);
			}
			// 外観→ウィジェット
			if(get_option($this->param[865]) == 1){
				function remove_theme_widget_submenu() {
					remove_submenu_page('themes.php', 'widgets.php');
				}
				add_action('admin_menu', 'remove_theme_widget_submenu', 9999);
			}
			// 外観→テーマ編集
			if(get_option($this->param[866]) == 1){
				function remove_theme_edit_submenu() {
					remove_submenu_page('themes.php', 'theme-editor.php');
				}
				add_action('admin_menu', 'remove_theme_edit_submenu', 9999);
			}
			// プラグイン→インストール済みプラグイン
			if(get_option($this->param[867]) == 1){
				function remove_plugin_list_submenu() {
					remove_submenu_page('plugins.php', 'plugins.php');
				}
				add_action('admin_menu', 'remove_plugin_list_submenu', 9999);
			}
			// プラグイン→新規追加
			if(get_option($this->param[868]) == 1){
				function remove_plugin_add_submenu() {
					remove_submenu_page('plugins.php', 'plugin-install.php');
				}
				add_action('admin_menu', 'remove_plugin_add_submenu', 9999);
			}
			// プラグイン→プラグイン編集
			if(get_option($this->param[869]) == 1){
				function remove_plugin_edit_submenu() {
					remove_submenu_page('plugins.php', 'plugin-editor.php');
				}
				add_action('admin_menu', 'remove_plugin_edit_submenu', 9999);
			}
			// ユーザー→ユーザー一覧
			if(get_option($this->param[870]) == 1){
				function remove_user_list_submenu() {
					remove_submenu_page('users.php', 'users.php');
				}
				add_action('admin_menu', 'remove_user_list_submenu', 9999);
			}
			// ユーザー→新規追加
			if(get_option($this->param[871]) == 1){
				function remove_user_add_submenu() {
					remove_submenu_page('users.php', 'user-new.php');
				}
				add_action('admin_menu', 'remove_user_add_submenu', 9999);
			}
			// ユーザー→プロフィール
			if(get_option($this->param[872]) == 1){
				function remove_user_profile_submenu() {
					remove_submenu_page('users.php', 'profile.php');
				}
				add_action('admin_menu', 'remove_user_profile_submenu', 9999);
			}
			// ツール→利用可能なツール
			if(get_option($this->param[873]) == 1){
				function remove_tool_list_submenu() {
					remove_submenu_page('tools.php', 'tools.php');
				}
				add_action('admin_menu', 'remove_tool_list_submenu', 9999);
			}
			// ツール→インポート
			if(get_option($this->param[874]) == 1){
				function remove_tool_import_submenu() {
					remove_submenu_page('tools.php', 'import.php');
				}
				add_action('admin_menu', 'remove_tool_import_submenu', 9999);
			}
			// ツール→エクスポート
			if(get_option($this->param[875]) == 1){
				function remove_tool_export_submenu() {
					remove_submenu_page('tools.php', 'export.php');
				}
				add_action('admin_menu', 'remove_tool_export_submenu', 9999);
			}
			// 設定→一般
			if(get_option($this->param[876]) == 1){
				function remove_setting_general_submenu() {
					remove_submenu_page('options-general.php', 'options-general.php');
				}
				add_action('admin_menu', 'remove_setting_general_submenu', 9999);
			}
			// 設定→投稿設定
			if(get_option($this->param[877]) == 1){
				function remove_setting_post_submenu() {
					remove_submenu_page('options-general.php', 'options-writing.php');
				}
				add_action('admin_menu', 'remove_setting_post_submenu', 9999);
			}
			// 設定→表示設定
			if(get_option($this->param[878]) == 1){
				function remove_setting_view_submenu() {
					remove_submenu_page('options-general.php', 'options-reading.php');
				}
				add_action('admin_menu', 'remove_setting_view_submenu', 9999);
			}
			// 設定→ディスカッション
			if(get_option($this->param[879]) == 1){
				function remove_setting_discussion_submenu() {
					remove_submenu_page('options-general.php', 'options-discussion.php');
				}
				add_action('admin_menu', 'remove_post_tag_submenu', 9999);
			}
			// 設定→メディア
			if(get_option($this->param[880]) == 1){
				function remove_setting_media_submenu() {
					remove_submenu_page('options-general.php', 'options-media.php');
				}
				add_action('admin_menu', 'remove_setting_media_submenu', 9999);
			}
			// 設定→プライバシー
			if(get_option($this->param[881]) == 1){
				function remove_setting_privacy_submenu() {
					remove_submenu_page('options-general.php', 'options-privacy.php');
				}
				add_action('admin_menu', 'remove_setting_privacy_submenu', 9999);
			}
			// 設定→パーマリンク設定
			if(get_option($this->param[882]) == 1){
				function remove_setting_permalink_submenu() {
					remove_submenu_page('options-general.php', 'options-permalink.php');
				}
				add_action('admin_menu', 'remove_setting_permalink_submenu', 9999);
			}
	}
}

$func = new Styler_Clean_Functions;

$func->run();
